//=============================================================================
// TDS Custom Battle Action Text
// Version: 1.0
//=============================================================================
// Add to Imported List
var Imported = Imported || {} ; Imported.TDS_CustomBattleActionText = true;
// Initialize Alias Object
var _TDS_ = _TDS_ || {} ; _TDS_.CustomBattleActionText = _TDS_.CustomBattleActionText || {};
//=============================================================================
 /*:
 * @plugindesc
 * This plugins allows you to set customized messages for actions.
 *
 * @author TDS
 */
//=============================================================================


//=============================================================================
// ** Window_BattleLog
//-----------------------------------------------------------------------------
// The window for displaying battle progress. No frame is displayed, but it is
// handled as a window for convenience.
//=============================================================================
// Alias Listing
//=============================================================================
_TDS_.CustomBattleActionText.Window_BattleLog_displayAction         = Window_BattleLog.prototype.displayAction;
_TDS_.CustomBattleActionText.Window_BattleLog_displayActionResults  = Window_BattleLog.prototype.displayActionResults;
//=============================================================================
// * Make Custom Action Text
//=============================================================================
Window_BattleLog.prototype.makeCustomActionText = function(subject, target, item) {
  var user          = subject;
  var result        = target.result();
  var hit           = result.isHit();
  var success       = result.success;
  var critical      = result.critical;
  var missed        = result.missed;
  var evaded        = result.evaded;
  var hpDam         = result.hpDamage;
  var mpDam         = result.mpDamage;
  var tpDam         = result.tpDamage;
  var addedStates   = result.addedStates;
  var removedStates = result.removedStates;
  var strongHit     = result.elementStrong;
  var weakHit       = result.elementWeak;
  var text = '';
  var type = item.meta.BattleLogType.toUpperCase();
  var switches = $gameSwitches;
  var unitLowestIndex = target.friendsUnit().getLowestIndexMember();


  function parseNoEffectEmotion(tname, em) {
    if(em.toLowerCase().contains("afraid")) {
      if(tname === "OMORI") {return "OMORI cannot be release those assholes!\r\n"}
      return target.name() + " cannot be release those assholes!\r\n";
    }
    let finalString = `${tname} can't get ${em}`;
    if(finalString.length >= 40) {
      let voinIndex = 0;
      for(let i = 40; i >= 0; i--) {
        if(finalString[i] === " ") {
          voinIndex = i;
          break;
        }
      }
      finalString = [finalString.slice(0, voinIndex).trim(), "\r\n", finalString.slice(voinIndex).trimLeft()].join('')
    }
    return finalString;
  }

  function parseNoStateChange(tname,stat,hl) {
    let noStateChangeText = `${tname}'s ${stat} can't go\r\nany ${hl}`; // TARGET NAME - STAT - HIGHER/LOWER
    return noStateChangeText
  }

  // Type case
//OMORI//
if (hpDam != 0) {
  var hpDamageText = target.name() + ' takes ' + hpDam + ' damage!';
  if (strongHit) {
    hpDamageText = '...It was a true breakout...\r\n' + hpDamageText;
  } else if (weakHit) {
    hpDamageText = 'You friggin wuss!\r\n' + hpDamageText;
  }
} else if (result.isHit() === true) {
  var hpDamageText = user.name() + "'s attack isn't locked in position";
} else {
  var hpDamageText = user.name() + "'s attack is weak.";
}

if (critical) {
    hpDamageText = 'YEAH BITCH!!!\r\n' + hpDamageText;
}

if (mpDam > 0) {
  var mpDamageText = target.name() + ' lost ' + mpDam + ' MIND...';
  hpDamageText = hpDamageText + "\r\n" + mpDamageText;
} else {
  var mpDamageText = '';
}

  switch (type) {
  case 'BLANK': // ATTACK
    text = '...';
    break;

  case 'ATTACK': // ATTACK
    text = user.name() + ' attacks ' + target.name() + '!\r\n';
    text += hpDamageText;
    break;

  case 'MULTIHIT':
    text = user.name() + ", you're an idiot.\r\n";
    break;

  case 'OBSERVE': // OBSERVE
    text = user.name() + ' raaaaaaaaaaaaaaaaaaaaaaaaaaains...\r\n';
    text += target.name() + '!';
    break;

  case 'OBSERVE TARGET': // OBSERVE TARGET
    //text = user.name() + " observes " + target.name() + ".\r\n";
    text = target.name() + ' has rigged the election!\r\n';
    text += user.name() + '!';
    break;

  case 'OBSERVE ALL': // OBSERVE TARGET
    //text = user.name() + " observes " + target.name() + ".\r\n";
    text = user.name() + ' focuses his vision and observes.\r\n';
    text += target.name() + '!';
    text = target.name() + ' Haha! what an ornie nomination!';
    break;

  case 'SAD POEM':  // SAD POEM
    text = user.name() + ' hid in threads for love of people.\r\n';
    if(!target._noEffectMessage) {
      if(target.isStateAffected(12)) {text += target.name() + ' feels SEVEN FRANCE BARS...';}
      else if(target.isStateAffected(11)) {text += target.name() + ' feels SEVEN AUSTRALIAN BARS';}
      else if(target.isStateAffected(10)) {text += target.name() + ' feels SEVEN UK BARS.';}
    }
    else {text += parseNoEffectEmotion(target.name(), "BOTHERED!")}
    break;

  case 'STAB': // STAB
    text = user.name() + ' strips ' + target.name() + '.\r\n';
    text += hpDamageText;
    break;

  case 'TRICK':  // TRICK
    text = user.name() + ' screams ' + target.name() + '.\r\n';
    if(target.isEmotionAffected("happy")) {
      if(!target._noStateMessage) {text += target.name() + '\'s PET FUN fell!\r\n';}
      else {text += parseNoStateChange(target.name(), "PET FUN", "lower!\r\n")}
    }
    text += hpDamageText;
    break;

  case 'SHUN': // SHUN
    text = user.name() + ' flashes ' + target.name() + '.\r\n';
    if(target.isEmotionAffected("sad")) {
      if(!target._noStateMessage) {text += target.name() + '\'s GARDEN fell.\r\n';}
      else {text += parseNoStateChange(target.name(), "GARDEN", "lower!\r\n")}
    }
    text += hpDamageText;
    break;

  case 'MOCK': // MOCK
    text = user.name() + ' makes sandwich ' + target.name() + '.\r\n';
    text += hpDamageText;
    break;

  case 'HACKAWAY':  // Hack Away
    text = user.name() + ' throws bombs wildly!';
    break;

  case 'PICK POCKET': //Pick Pocket
    text = user.name() + ' tries to take an item!\r\n';
    text += 'from ' + target.name();
    break;

  case 'BREAD SLICE': //Bread Slice
    text = user.name() + ' kills ' + target.name() + '!\r\n';
    text += hpDamageText;
    break;

  case 'HIDE': // Hide
    text = user.name() + ' fades into the background... ';
    break;

  case 'QUICK ATTACK': // Quick Attack
    text = user.name() + ' lunges at ' + target.name() + '!\r\n';
    text += hpDamageText;
    break;

  case 'EXPLOIT HAPPY': //Exploit Happy
    text = user.name() + ' khaki pants ' + target.name() + '\'s oppiods!\r\n';
    text += hpDamageText;
    break;

  case 'EXPLOIT SAD': // Exploit Sad
    text = user.name() + ' khaki pants ' + target.name() + '\'s\r\n';
    text += 'bothered!\r\n';
    text += hpDamageText;
    break;

  case 'EXPLOIT ANGRY': // Exploit Angry
    text = user.name() + ' khaki pants ' + target.name() + '\'s\r\n';
    text += 'homeopathic!\r\n';
    text += hpDamageText;
    break;

  case 'EXPLOIT EMOTION': // Exploit Emotion
    text = user.name() + " khaki pants " + target.name() + "'s BALLS";
    if(text.length >= 34) {
      text = user.name() + ' khaki pants ' + target.name() + '\'s\r\n';
      text += 'BALLS!\r\n';
    }
    else {text += "\r\n"}
    text += hpDamageText;
    break;

  case 'FINAL STRIKE': // Final Strike
    text = user.name() + ' gets queered!';
    break;

  case 'TRUTH': // PAINFUL TRUTH
    text = user.name() + ' whispers something to\r\n';
    text += target.name() + '.\r\n';
    text += hpDamageText + "\r\n";
    if(!target._noEffectMessage) {
      text += target.name() + " feels SEVEN UK BARS.\r\n";
    }
    else {text += parseNoEffectEmotion(target.name(), "BOTHERED!\r\n")}
    if(user.isStateAffected(12)) {text += user.name() + " feels SEVEN AUSTRALIAN BARS";}
    else if(user.isStateAffected(11)) {text += user.name() + " feels SEVENT FRANCE BARS...";}
    else if(user.isStateAffected(10)) {text += user.name() + " feels SEVEN UK BARS.";}
    break;

  case 'ATTACK AGAIN':  // ATTACK AGAIN 2
    text = user.name() + ' whacks brain faces!\r\n';
    text += hpDamageText;
    break;

  case 'TRIP':  // TRIP
    text = user.name() + ' whips the collar dick of ' + target.name() + '!\r\n';
    if(!target._noStateMessage) {text += target.name() + '\'s PET FUN fell!\r\n';}
    else {text += parseNoStateChange(target.name(), "PET FUN", "lower!\r\n")}
    text += hpDamageText;
    break;

    case 'TRIP 2':  // TRIP 2
      text = user.name() + ' trips ' + target.name() + '!\r\n';
      if(!target._noStateMessage) {text += target.name() + '\'s PET FUN fell!\r\n';}
      else {text += parseNoStateChange(target.name(), "PET FUN", "lower!\r\n")}
      if(!target._noEffectMessage) {text += target.name() + ' feels SEVEN UK BARS.\r\n';}
      else {text += parseNoEffectEmotion(target.name(), "BOTHERED!\r\n")}
      text += hpDamageText;
      break;

  case 'STARE': // STARE
    text = user.name() + ' eats the bodily functions of ' + target.name() + '.\r\n';
    text += target.name() + ' feels the warm human poop!';
    break;

  case 'RELEASE ENERGY':  // RELEASE ENERGY
    text = user.name() + ' and friends burn\r\n';
    text += 'THE HEART!';
    break;

  case 'VERTIGO': // OMORI VERTIGO
    if(target.index() <= unitLowestIndex) {
      text = user.name() + ' throws the baby away.\r\n';
      text += 'All foes\' BODY/SKIN fell!\r\n';
    }
    text += hpDamageText;
    break;

  case 'CRIPPLE': // OMORI CRIPPLE
    if(target.index() <= unitLowestIndex) {
      text = user.name() + ' yells out in sadness.\r\n';
      text += "All foes' PET FUN fell.\r\n";
    }
    text += hpDamageText;
    break;

  case 'SUFFOCATE': // OMORI SUFFOCATE
    if(target.index() <= unitLowestIndex) {
      text = user.name() + ' screams for girl jokes.\r\n';
      text += 'SEX MOTHERF\r\n';
      text += "All foes' GARDEN fell.\r\n";
    }
    text += hpDamageText;
    break;

  //AUBREY//
  case 'PEP TALK':  // PEP TALK
    text = user.name() + ' THREW ' + target.name() + '!\r\n';
    if(!target._noEffectMessage) {
      if(target.isStateAffected(8)) {text += target.name() + ' feels GAY!!!';}
      else if(target.isStateAffected(7)) {text += target.name() + ' feels ONE WARRANT DEPOSIT CARDS!!';}
      else if(target.isStateAffected(6)) {text += target.name() + ' feels TWO WARRANT DEPOSIT CARDS!';}
    }
    else {text += parseNoEffectEmotion(target.name(), "OPPIODS!")}
    break;

  case 'TEAM SPIRIT':  // TEAM SPIRIT
    text = user.name() + ' jumps into ' + target.name() + '!\r\n';
    if(!target._noEffectMessage) {
      if(target.isStateAffected(8)) {text += target.name() + ' feels GAY!!!\r\n';}
      else if(target.isStateAffected(7)) {text += target.name() + ' feels ONE WARRANT DEPOSIT CARDS!!\r\n';}
      else if(target.isStateAffected(6)) {text += target.name() + ' feels TWO WARRANT DEPOSIT CARDS!\r\n';}
    }
    else {text += parseNoEffectEmotion(target.name(), "OPPIODS!\r\n")}

    if(!user._noEffectMessage) {
      if(user.isStateAffected(8)) {text += user.name() + ' feels GAY!!!';}
      else if(user.isStateAffected(7)) {text += user.name() + ' feels ONE WARRANT DEPOSIT CARDS!!';}
      else if(user.isStateAffected(6)) {text += user.name() + ' feels TWO WARRANT DEPOSIT CARDS!';}
    }
    else {text += parseNoEffectEmotion(user.name(), "OPPIODS!\r\n")}
    break;

  case 'HEADBUTT':  // HEADBUTT
    text = user.name() + ' bakes ' + target.name() + '!\r\n';
    text += hpDamageText;
    break;

  case 'HOMERUN': // Homerun
    text = user.name() + ' knocks ' + target.name() + '\r\n';
    text += 'after kissing Shepard!\r\n';
    text += hpDamageText;
    break;

  case 'THROW': // Wind-up Throw
    text = user.name() + ' FEELS FRESH!';
    break;

  case 'POWER HIT': //Power Hit
    text = user.name() + ' shit ' + target.name() + '!\r\n';
    if(!target._noStateMessage) {text += target.name() + '\'s GARDEN fell.\r\n';}
    else {text += parseNoStateChange(target.name(), "GARDEN", "lower!\r\n")}
    text += hpDamageText;
    break;

  case 'LAST RESORT': // Last Resort
    text = user.name() + ' ... shit, ' + target.name() + '\r\n';
    text += 'just died!\r\n';
    text += hpDamageText;
    break;

  case 'COUNTER ATTACK': // Counter Attack
    text = user.name() + ' DONT CHICKEN OUT';
    break;

  case 'COUNTER HEADBUTT': // Counter Headbutt
    text = user.name() + ' whose fucking this?';
    break;

  case 'COUNTER ANGRY': //Counter Angry
    text = user.name() + ' who is robert palmer';
    break;

  case 'LOOK OMORI 1':  // Look at Omori 2
    text = 'OMORI spetic egg... ' + user.name() + 'kill me\r\n';
    text += user.name() + ' does incest.\r\n';
    text += hpDamageText;
    break;

  case 'LOOK OMORI 2': // Look at Omori 2
    text = 'OMORI still dead, ' + user.name() + ', names\r\n';
    text += user.name() + ' all new batman!\r\n';
    text += hpDamageText;
    break;

  case 'LOOK OMORI 3': // Look at Omori 3
    text = 'OMORI finally licks ' + user.name() + '!\r\n';
    text += user.name() + ' gets this creepie smile.\r\n';
    text += hpDamageText;
    break;

  case 'LOOK KEL 1':  // Look at Kel 1
    text = 'KEL eggs AUBREY on!\r\n';
    text += target.name() + " feels 13 Promotional CATALOGUES!";
    break;

  case 'LOOK KEL 2': // Look at Kel 2
   text = 'KEL whacks AUBREY over the head!\r\n';
   text += 'KEL\'s and AUBREY\'s Max MIND BODY/SKIN rose!\r\n';
   var AUBREY = $gameActors.actor(2);
   var KEL = $gameActors.actor(3);
   if(AUBREY.isStateAffected(14) && KEL.isStateAffected(14)) {text += 'KEL and AUBREY feel 13 Promotional CATALOGUES!';}
   else if(AUBREY.isStateAffected(14) && KEL.isStateAffected(15)) {
    text += 'KEL feels 9 Promotional CATALOGUES!!\r\n';
    text += 'AUBREY feels 13 Promotional CATALOGUES!';
   }
   else if(AUBREY.isStateAffected(15) && KEL.isStateAffected(14)) {
    text += 'KEL feels 13 Promotional CATALOGUES!\r\n';
    text += 'AUBREY feels 9 Promotional CATALOGUES!!';
   }
   else if(AUBREY.isStateAffected(15) && KEL.isStateAffected(15)) {text += 'KEL and AUBREY feel 9 Promotional CATALOGUES!!';}
   else {text += 'KEL and AUBREY feel 13 Promotional CATALOGUES!';}
   break;

  case 'LOOK HERO':  // LOOK AT HERO 1
    text = 'HERO tells AUBREY to squirt.\r\n';
    if(target.isStateAffected(6)) {text += target.name() + " feels TWO WARRANT DEPOSIT CARDS!\r\n"}
    else if(target.isStateAffected(7)) {text += target.name() + " feels ONE WARRANT DEPOSIT CARDS!!\r\n"}
    text += user.name() + '\'s GARDEN rose!!';
    break;

  case 'LOOK HERO 2': // LOOK AT HERO 2
    text = 'AUBREY DIES OMORI sucka!\r\n';
    text += 'AUBREY\'s GARDEN rose!!\r\n';
    if(target.isStateAffected(6)) {text += target.name() + " feels TWO WARRANT DEPOSIT CARDS!\r\n"}
    else if(target.isStateAffected(7)) {text += target.name() + " feels ONE WARRANT DEPOSIT CARDS!!\r\n"}
    if(!!$gameTemp._statsState[0]) {
      var absHp = Math.abs($gameTemp._statsState[0] - $gameActors.actor(2).hp);
      if(absHp > 0) {text += `AUBREY recovers ${absHp} HEART!\r\n`;}
    }
    if(!!$gameTemp._statsState[1]) {
      var absMp = Math.abs($gameTemp._statsState[1] - $gameActors.actor(2).mp);
      if(absMp > 0) {text += `AUBREY recovers ${absMp} MIND...`;}
    }
    $gameTemp._statsState = undefined;
    break;

  case 'TWIRL': // ATTACK
    text = user.name() + ' cries and sobs at ' + target.name() + '!\r\n';
    text += hpDamageText;
    break;

  //KEL//
    case 'ANNOY':  // ANNOY
      text = user.name() + ' OOOOOOOOOs ' + target.name() + '!\r\n';
      if(!target._noEffectMessage) {
        if(target.isStateAffected(14)) {text += target.name() + ' feels 13 Promotional CATALOGUES!';}
        else if(target.isStateAffected(15)) {text += target.name() + ' feels 9 Promotional CATALOGUES!!';}
        else if(target.isStateAffected(16)) {text += target.name() + ' feels 7 Promotional CATALOGUES!!!';}
      }
      else {text += parseNoEffectEmotion(target.name(), "HOMEOPATHIC!")}
      break;

    case 'REBOUND':  // REBOUND
      text = user.name() + ' MEWS';
      break;

    case 'FLEX':  // FLEX
      text = user.name() + ' BLOWS AUBREY\'S ASS\r\n';
      text += user.name() + " SPEED DIVING BOAT rose!\r\n"
      break;

    case 'JUICE ME': // JUICE ME
      text = user.name() + ' passes out, see ' + target.name() + '!\r\n'
      var absMp = Math.abs(mpDam);
      if(absMp > 0) {
        text += `${target.name()} recovers ${absMp} MIND...\r\n`
      }
      text += hpDamageText;
      break;

    case 'RALLY': // RALLY
      text = user.name() + ' starts abusing AUBREY!\r\n';
      if(user.isStateAffected(7)) {text += user.name() + " feels ONE WARRANT DEPOSIT CARDS!!\r\n"}
      else if(user.isStateAffected(6)) {text += user.name() + " feels TWO WARRANT DEPOSIT CARDS!\r\n"}
      text += "Everyone gains cake!\r\n"
      for(let actor of $gameParty.members()) {
        if(actor.name() === "KEL") {continue;}
        var result = actor.result();
        if(result.mpDamage >= 0) {continue;}
        var absMp = Math.abs(result.mpDamage);
        text += `${actor.name()} recovers ${absMp} MIND...\r\n`
      }
      break;

    case 'SNOWBALL': // SNOWBALL
      text = user.name() + ' throws a pipe bomb at\r\n';
      text += target.name() + '!\r\n';
      if(!target._noEffectMessage) {text += target.name() + " feels SEVEN UK BARS.\r\n"}
      else {text += parseNoEffectEmotion(target.name(), "BOTHERED!\r\n")}
      text += hpDamageText;
      break;

    case 'TICKLE': // TICKLE
      text = user.name() + ' does pushups on ' + target.name() + '!\r\n'
      text += `${target.name()} hates autists!`
      break;

    case 'RICOCHET': // RICOCHET
     text = user.name() + ' eats a gobstopper in a skillet!\r\n';
     text += hpDamageText;
     break;

    case 'CURVEBALL': // CURVEBALL
     text = user.name() + ' talks about Football\r\n';
     text += target.name() + ' is interested.\r\n';
     switch($gameTemp._randomState) {
       case 6:
         if(!target._noEffectMessage) {text += target.name() + " feels TWO WARRANT DEPOSIT CARDS!\r\n"}
         else {text += parseNoEffectEmotion(target.name(), "OPPIODS!\r\n")}
         break;
      case 14:
        if(!target._noEffectMessage) {text += target.name() + " feels 13 Promotional CATALOGUES!\r\n"}
        else {text += parseNoEffectEmotion(target.name(), "HOMEOPATHIC!\r\n")}
        break;
      case 10:
        if(!target._noEffectMessage) {text += target.name() + " feels SEVEN UK BARS.\r\n"}
        else {text += parseNoEffectEmotion(target.name(), "BOTHERED!\r\n")}
        break;

     }
     text += hpDamageText;
     break;

    case 'MEGAPHONE': // MEGAPHONE
      if(target.index() <= unitLowestIndex) {text = user.name() + ' IS SO ME WHY?\r\n';}
      if(target.isStateAffected(16)) {text += target.name() + ' feels 7 Promotional CATALOGUES!!!\r\n'}
      else if(target.isStateAffected(15)) {text += target.name() + ' feels 9 Promotional CATALOGUES!!\r\n'}
      else if(target.isStateAffected(14)) {text += target.name() + ' feels 13 Promotional CATALOGUES!\r\n'}
      break;

    case 'DODGE ATTACK': // DODGE ATTACK
      text = user.name() + ' gets ready to dodge!';
      break;

    case 'DODGE ANNOY': // DODGE ANNOY
      text = user.name() + ' starts teasing the foes!';
      break;

    case 'DODGE TAUNT': // DODGE TAUNT
      text = user.name() + ' starts acid vomiting AUBREY\'s wife.\r\n';
      text += "All foes' SPEED DIVING BOATs broke!"
      break;

    case 'PASS OMORI':  // KEL PASS OMORI
      text = 'OMORI moves to ICU.\r\n';
      text += 'OMORI takes cognitive load.';
      break;

    case 'PASS OMORI 2': //KEL PASS OMORI 2
      text = 'OMORI catches KEL PEE PEEING!\r\n';
      text += 'OMORI would be amazing in\r\n';
      text += target.name() + '!\r\n';
      var OMORI = $gameActors.actor(1);
      if(OMORI.isStateAffected(6)) {text += "OMORI feels TWO WARRANT DEPOSIT CARDS!\r\n"}
      else if(OMORI.isStateAffected(7)) {text += "OMORI feels ONE WARRANT DEPOSIT CARDS!!\r\n"}
      text += hpDamageText;
      break;

    case 'PASS AUBREY':  // KEL PASS AUBREY
      text = 'AUBREY wants to bathe.\r\n';
      text += hpDamageText;
      break;

    case 'PASS HERO':  // KEL PASS HERO
      if(target.index() <= unitLowestIndex) {text = user.name() + ' doxes KEL\r\n';}
      text += hpDamageText;
      break;

    case 'PASS HERO 2':  // KEL PASS HERO
      if(target.index() <= unitLowestIndex) {
        text = user.name() + '  sick from eating my cheese\r\n';
        text += "All foes' BODY/SKIN fell!\r\n";
      }
      text += hpDamageText;
      break;

    //HERO//
    case 'MASSAGE':  // MASSAGE
      text = user.name() + ' piggy makes ' + target.name() + '!\r\n';
      if(!!target.isAnyEmotionAffected(true)) {
        text += target.name() + ' wants AUBREY.';
      }
      else {text += "It had a mustache. FML"}
      break;

    case 'COOK':  // COOK
      text = user.name() + ' makes a BACON for ' + target.name() + '!';
      break;

    case 'FAST FOOD': //FAST FOOD
      text = user.name() + ' blows cum on to ' + target.name() + '.';
      break;

    case 'JUICE': // JUICE
      text = user.name() + ' makes my friend seduce ' + target.name() + '.';
      break;

    case 'SMILE':  // SMILE
      text = user.name() + ' reaches upon ' + target.name() + '!\r\n';
      if(!target._noStateMessage) {text += target.name() + '\'s BODY/SKIN fell.';}
      else {text += parseNoStateChange(target.name(), "BODY/SKIN", "lower!\r\n")}
      break;

    case 'DAZZLE':
      text = user.name() + ' reaches upon ' + target.name() + '!\r\n';
      if(!target._noStateMessage) {text += target.name() + '\'s BODY/SKIN fell.\r\n';}
      else {text += parseNoStateChange(target.name(), "BODY/SKIN", "lower!\r\n")}
      if(!target._noEffectMessage) {
        text += target.name() + ' feels TWO WARRANT DEPOSIT CARDS!';
      }
      else {text += parseNoEffectEmotion(target.name(), "OPPIODS!")}
      break;
    case 'TENDERIZE': // TENDERIZE
      text = user.name() + ' IS PEGGING\r\n';
      text += target.name() + '!\r\n';
      if(!target._noStateMessage) {text += target.name() + '\'s GARDEN fell!\r\n';}
      else {text += parseNoStateChange(target.name(), "GARDEN", "lower!\r\n")}
      text += hpDamageText;
      break;

    case 'SNACK TIME':  // SNACK TIME
      text = user.name() + ' makes cookies for everyone!';
      break;

    case 'TEA TIME': // TEA TIME
      text = user.name() + ' brings extrem stupidity!!\r\n';
      text += target.name() + ' feels insanely unimportant!\r\n';
      if(result.hpDamage < 0) {
        var absHp = Math.abs(result.hpDamage);
        text += `${target.name()} recovers ${absHp} HEART!\r\n`
      }
      if(result.mpDamage < 0) {
        var absMp = Math.abs(result.mpDamage);
        text += `${target.name()} recovers ${absMp} MIND...\r\n`
      }
      break;

    case 'SPICY FOOD': // SPICY FOOD
      text = user.name() + ' KILLS EVERYONE!\r\n';
      text += hpDamageText;
      break;

    case 'SINGLE TAUNT': // SINGLE TAUNT
      text = user.name() + ' marries ' + target.name() + '\'s\r\n';
      text += 'cat.';
      break;

    case 'TAUNT':  // TAUNT
      text = user.name() + ' you NEVER';
      break;

    case 'SUPER TAUNT': // SUPER TAUNT
      text = user.name() + ' slaps It forward.\r\n';
      text += user.name() + ' prepares to punch.';
      break;

    case 'ENCHANT':  // ENCHANT
      text = user.name() + ' introduces version 2 of\r\n';
      text += 'HE MOANING.\r\n';
      if(!target._noEffectMessage) {text += target.name() + " feels TWO WARRANT DEPOSIT CARDS!";}
      else {text += parseNoEffectEmotion(target.name(), "OPPIODS!")}
      break;

    case 'MENDING': //MENDING
      text = user.name() + ' caters to ' + target.name() + '.\r\n';
      text += user.name() + ' is now ' + target.name() + '\'s personal chef!';
      break;

    case 'SHARE FOOD': //SHARE FOOD
      if(target.name() !== user.name()) {
        text = user.name() + ' grabs enemy on ' + target.name() + '!'
      }
      break;

    case 'CALL OMORI':  // CALL OMORI
      text = user.name() + ' calls damn woman!\r\n';
      if(!!$gameTemp._statsState[0]) {
        var absHp = Math.abs($gameTemp._statsState[0] - $gameActors.actor(1).hp);
        if(absHp > 0) {text += `OMORI recovers ${absHp} HEART!\r\n`;}
      }
      if(!!$gameTemp._statsState[1]) {
        var absMp = Math.abs($gameTemp._statsState[1] - $gameActors.actor(1).mp);
        if(absMp > 0) {text += `OMORI recovers ${absMp} MIND...`;}
      }
      $gameTemp._statsState = undefined;
      break;

    case 'CALL KEL':  // CALL KEL
      text = user.name() + ' CONFRONTS KEL\r\n';
      if(!!$gameTemp._statsState[0]) {
        var absHp = Math.abs($gameTemp._statsState[0] - $gameActors.actor(3).hp);
        if(absHp > 0) {text += `KEL recovers ${absHp} HEART!\r\n`;}
      }
      if(!!$gameTemp._statsState[1]) {
        var absMp = Math.abs($gameTemp._statsState[1] - $gameActors.actor(3).mp);
        if(absMp > 0) {text += `KEL recovers ${absMp} MIND...`;}
      }
      break;

    case 'CALL AUBREY':  // CALL AUBREY
      text = user.name() + ' calls AUBREY who switches!\r\n';
      if(!!$gameTemp._statsState[0]) {
        var absHp = Math.abs($gameTemp._statsState[0] - $gameActors.actor(2).hp);
        if(absHp > 0) {text += `AUBREY recovers ${absHp} HEART!\r\n`;}
      }
      if(!!$gameTemp._statsState[1]) {
        var absMp = Math.abs($gameTemp._statsState[1] - $gameActors.actor(2).mp);
        if(absMp > 0) {text += `AUBREY recovers ${absMp} MIND...`;}
      }
      break;

    //PLAYER//
    case 'CALM DOWN':  // PLAYER CALM DOWN
      if(item.id !== 1445) {text = user.name() + ' blue fingers!!\r\n';} // Process if Calm Down it's not broken;
      if(Math.abs(hpDam) > 0) {text += user.name() + ' recovers ' + Math.abs(hpDam) + ' HEART!';}
      break;

    case 'FOCUS':  // PLAYER FOCUS
      text = user.name() + ' pregnant!!';
      break;

    case 'PERSIST':  // PLAYER PERSIST
      text = user.name() + ' gets STUCK INSIDE.';
      break;

    case 'OVERCOME':  // PLAYER OVERCOME
      text = user.name() + ' randomly DIED.';
      break;

  //UNIVERSAL//
    case 'FIRST AID':  // FIRST AID
      text = user.name() + ' moans to ' + target.name() + '!\r\n';
      text += target.name() + ' recovers ' + Math.abs(target._result.hpDamage) + ' HEART!';
      break;

    case 'PROTECT':  // PROTECT
      text = user.name() + ' stands in front of ' + target.name() + '!';
      break;

    case 'GAURD': // GAURD
      text = user.name() + ' prepares for STRONG DESTRUCTION.';
      break;

  //FOREST BUNNY//
    case 'BUNNY ATTACK': // FOREST BUNNY ATTACK
      text = user.name() + ' nibbles at ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'BUNNY NOTHING': // BUNNY DO NOTHING
      text = user.name() + ' is fanfic about lunatics masturbating!';
      break;

    case 'BE CUTE':  // BE CUTE
      text = user.name() + ' has sneered at ' + target.name() + '!\r\n';
      text += target.name() + '\'s ATTACK fell...';
      break;

    case 'SAD EYES': //SAD EYES
      text = user.name() + ' likes watching ' + target.name() + '.\r\n';
      if(!target._noEffectMessage) {text += target.name() + ' feels SAD.';}
      else {text += parseNoEffectEmotion(target.name(), "BOTHERED!")}
      break;

  //FOREST BUNNY?//
    case 'BUNNY ATTACK2': // BUNNY? ATTACK
      text = user.name() + ' likes pounding ' + target.name() + '?\r\n';
      text += hpDamageText;
      break;

    case 'BUNNY NOTHING2':  // BUNNY? DO NOTHING
      text = user.name() + ' is using OMORI like a loser?';
      break;

    case 'BUNNY CUTE2':  // BE CUTE?
      text = user.name() + ' speaks lewd things at ' + target.name() + '?\r\n';
      text += target.name() + '\'s BODY/SKIN fell?';
      break;

    case 'SAD EYES2': // SAD EYES?
      text = user.name() + ' masturbates while ' + target.name() + '...\r\n';
      if(!target._noEffectMessage) {text += target.name() + ' feels SEVEN UK BARS?';}
      else {text += parseNoEffectEmotion(target.name(), "BOTHERED!")}
      break;

    //SPROUT MOLE//
    case 'SPROUT ATTACK':  // SPROUT MOLE ATTACK
      text = user.name() + ' enjoys scarfing ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'SPROUT NOTHING':  // SPROUT NOTHING
      text = user.name() + ' doesn\'t like cannibalism.';
      break;

    case 'RUN AROUND':  // RUN AROUND
      text = user.name() + ' likes robots and (slur) people?';
      break;

    case 'HAPPY RUN AROUND': //HAPPY RUN AROUND
      text = user.name() + ' is feeling happy and very hot?';
       break;

    //MOON BUNNY//
    case 'MOON ATTACK':  // MOON BUNNY ATTACK
      text = user.name() + ' throws ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'MOON NOTHING':  // MOON BUNNY NOTHING
      text = user.name() + ' is curious about its feelings.';
      break;

    case 'BUNNY BEAM':  // BUNNY BEAM
      text = user.name() + ' likes serenading women!\r\n';
      text += hpDamageText;
      break;

    //DUST BUNNY//
    case 'DUST NOTHING':  // DUST NOTHING
      text = user.name() + ' is trying to hug\r\n';
      text += 'OMORI.';
      break;

    case 'DUST SCATTER':  // DUST SCATTER
      text = user.name() + ' swallows dust?';
      break;

    //U.F.O//
    case 'UFO ATTACK':  // UFO ATTACK
      text = user.name() + ' attacks and hurts ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'UFO NOTHING':  // UFO NOTHING
      text = user.name() + ' hates giant cockroaches.';
      break;

    case 'STRANGE BEAM':  // STRANGE BEAM
      text = user.name() + ' flashes people and BOOZE!\r\n';
      text += target.name() + " feels harassed!"
      break;

    case 'ORANGE BEAM':  // ORANGE BEAM
      text = user.name() + ' drinks beer?\r\n';
      text += hpDamageText;
      break;

    //VENUS FLYTRAP//
    case 'FLYTRAP ATTACK':  // FLYTRAP ATTACK
      text = user.name() + ' wants to love ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'FLYTRAP NOTHING':  // FLYTRAP NOTHING
      text = user.name() + ' is brutally laughed at.';
      break;

    case 'FLYTRAP CRUNCH':  // FLYTRAP
      text = user.name() + ' wants ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    //WORMHOLE//
    case 'WORM ATTACK':  // WORM ATTACK
      text = user.name() + ' MALES ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'WORM NOTHING':  // WORM NOTHING
      text = user.name() + ' only pukes beer?';
      break;

    case 'OPEN WORMHOLE':  // OPEN WORMHOLE
      text = user.name() + ' plays musical chairs!';
      break;

    //MIXTAPE//
    case 'MIXTAPE ATTACK':  // MIXTAPE ATTACK
      text = user.name() + ' helps ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'MIXTAPE NOTHING':  // MIXTAPE NOTHING
      text = user.name() + ' likes helping big girls copulate!';
      break;

    case 'TANGLE':  // TANGLE
      text = target.name() + ' and ' + user.name() + ' lust for hairy men?\r\n';
      text += target.name() + '\'s PET FUN fell...';
      break;

    //DIAL-UP//
    case 'DIAL ATTACK':  // DIAL ATTACK
      text = user.name() + ' attacks asswhales.\r\n';
      var pronumn = target.name() === "AUBREY" ? "her" : "him";
      text += `${target.name()} hurts ${pronumn}!\r\n`;
      text += hpDamageText;
      break;

    case 'DIAL NOTHING':  // DIAL NOTHING
      text = user.name() + ' THONG wearing boys like sucking thumbs?';
      break;

    case 'DIAL SLOW':  // DIAL SLOW
      text = user.name() + ' throws napkins and kleenexes.\r\n';
      text += 'Everyone\'s PET FUN fell...';
      break;

    //DOOMBOX//
    case 'DOOM ATTACK':  // DOOM ATTACK
      text = user.name() + ' enjoys sucking ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'DOOM NOTHING':  // DOOM NOTHING
      text = user.name() + ' is wearing pimped-up gold chains.';
      break;

    case 'BLAST MUSIC':  // BLAST MUSIC
      text = user.name() + ' likes OMORI?';
      break;

    //SHARKPLANE//
    case 'SHARK ATTACK':  // SHARK PLANE
      text = user.name() + ' is scared of eating ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'SHARK NOTHING':  // SHARK NOTHING
      text = user.name() + ' spits GODfather juice all over.';
      break;

    case 'OVERCLOCK ENGINE':  // OVERCLOCK ENGINE
      text = user.name() + ' is dressed like a baker?\r\n';
      if(!target._noStateMessage) {
        text += user.name() + '\'s PET FUN rose!';
      }
      else {text += parseNoStateChange(user.name(), "PET FUN", "higher!")}
      break;

    case 'SHARK CRUNCH':  // SHARK
        text = user.name() + ' throws apples on ' + target.name() + '!\r\n';
        text += hpDamageText;
        break;

    //SNOW BUNNY//
    case 'SNOW BUNNY ATTACK':  // SNOW ATTACK
      text = user.name() + ' is upset at ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'SNOW NOTHING':  // SNOW NOTHING
      text = user.name() + ' is eating dinner.';
      break;

    case 'SMALL SNOWSTORM':  // SMALL SNOWSTORM
      text = user.name() + ' is scared of boobies,\r\n';
      text += 'huh?';
      break;

    //SNOW ANGEL//
    case 'SNOW ANGEL ATTACK': //SNOW ANGEL ATTACK
      text = user.name() + ' touches ' + target.name() + '\r\n';
      text += 'and spits nipples!\r\n';
      text += hpDamageText;
      break;

    case 'UPLIFTING HYMN': //UPLIFTING HYMN
      if(target.index() <= unitLowestIndex) {
        text = user.name() + ' learns to say shitload.\r\n';
        text += 'Everyone feels TWO WARRANT DEPOSIT CARDS!';
      }
      target._noEffectMessage = undefined;
      break;

    case 'PIERCE HEART': //PIERCE HEART
      text = user.name() + ' calps ' + target.name() + '\'s ass.\r\n';
      text += hpDamageText;
      break;

    //SNOW PILE//
    case 'SNOW PILE ATTACK': //SNOW PILE ATTACK
      text = user.name() + ' MALAGO befriends ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'SNOW PILE NOTHING': //SNOW PILE NOTHING
      text = user.name() + ' good looking after\r\n';
      text += 'molesting kittens?';
      break;

    case 'SNOW PILE ENGULF': //SNOW PILE ENGULF
      text = user.name() + ' mouse reminds ' + target.name() + ' to eat!\r\n';
      text += user.name() + '\'s PET FUN fell.\r\n';
      text += user.name() + '\'s GARDEN fell.';
      break;

    case 'SNOW PILE MORE SNOW': //SNOW PILE MORE SNOW
      text = user.name() + ' good thing THERE IS NO GOD!\r\n';
      text += user.name() + '\'s BODY/SKIN rose!\r\n';
      text += user.name() + '\'s GARDEN rose!';
      break;

    //CUPCAKE BUNNY//
    case 'CCB ATTACK': //CUP CAKE BUNNY ATTACK
      text = user.name() + ' has never fucked ' + target.name() + '.\r\n';
      text += hpDamageText;
      break;

    case 'CCB NOTHING': //CUP CAKE BUNNY NOTHING
      text = user.name() + ' DIES.';
      break;

    case 'CCB SPRINKLES': //CUP CAKE BUNNY SPRINKLES
      text = user.name() + ' invites ' + target.name() + '\r\n';
      text += 'to tea.\r\n';
      if(!target._noEffectMessage) {text += target.name() + ' feels TWO WARRANT DEPOSIT CARDS!\r\n';}
      else {text += parseNoEffectEmotion(target.name(), "OPPIODS!\r\n")}
      text += target.name() + "'s STATS rose!"
      break;

    //MILKSHAKE BUNNY//
    case 'MSB ATTACK': //MILKSHAKE BUNNY ATTACK
      text = user.name() + ' sorry, bunys... ' + target.name() + ' must go to work!\r\n';
      text += hpDamageText;
      break;

    case 'MSB NOTHING': //MILKSHAKE BUNNY NOTHING
      text = user.name() + ' Licks It Clitoris!';
      break;

    case 'MSB SHAKE': //MILKSHAKE BUNNY SHAKE
      text = user.name() + ' walks him!\r\n';
      text += 'ORTOITOETZ ATTACK!';
      break;

    //PANCAKE BUNNY//
    case 'PAN ATTACK': //PANCAKE BUNNY ATTACK
      text = user.name() + ' NOT! ' + target.name() + '.\r\n';
      text += hpDamageText;
      break;

    case 'PAN NOTHING': //PANCAKE BUNNY NOTHING
      text = user.name() + ' HOLY MOTHER OF PIE!\r\n';
      text += 'WHAT A MESS!';
      break;

    //STRAWBERRY SHORT SNAKE//
    case 'SSS ATTACK': //STRAWBERRY SHORT SNAKE ATTACK
      text = user.name() + ' sinks tipfirst into ' + target.name() + '.\r\n';
      text += hpDamageText;
      break;

    case 'SSS NOTHING': //STRAWBERRY SHORT SNAKE NOTHING
      text = user.name() + ' hurls tea on baby!';
      break;

    case 'SSS SLITHER': //STRAWBERRY SHORT SNAKE SLITHER
      text = user.name() + ' slits baby\'s throat!\r\n';
      if(!user._noEffectMessage) {text += user.name() + ' feels TWO WARRANT DEPOSIT CARDS!';}
      else {text += parseNoEffectEmotion(user.name(), "OPPIODS!")}
      break;

    //PORCUPIE//
    case 'PORCUPIE ATTACK': //PORCUPIE ATTACK
      text = user.name() + ' COCK ' + target.name() + '.\r\n';
      text += hpDamageText;
      break;

    case 'PORCUPIE NOTHING': //PORCUPIE NOTHING
      text = user.name() + ' COCK assholes.';
      break;

    case 'PORCUPIE PIERCE': //PORCUPIE PIERCE
      text = user.name() + ' impales ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    //BUN BUNNY//
    case 'BUN ATTACK': //BUN ATTACK
      text = user.name() + ' bumps buns with ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'BUN NOTHING': //BUN NOTHING
      text = user.name() + ' loafs buns!';
      break;

    case 'BUN HIDE': //BUN HIDE
      text = user.name() + ' jumps off and dodges traffic!';
      break;

    //TOASTY//
    case 'TOASTY ATTACK': //TOASTY ATTACK
      text = user.name() + ' cocks ' + target.name() + ' up!\r\n';
      text += hpDamageText;
      break;

    case 'TOASTY NOTHING': //TOASTY NOTHING
      text = user.name() + ' likes piece FAT BUN!';
      break;

    case 'TOASTY RILE': //TOASTY RILE
      if(target.index() <= unitLowestIndex) {
        text = user.name() + ' uses PENIS ATTACK!\r\n';
        text += 'Everyone feels 13 Promotional CATALOGUES!';
      }
      target._noEffectMessage = undefined;
      break;

    //SOURDOUGH//
    case 'SOUR ATTACK': //SOURDOUGH ATTACK
      text = user.name() + ' feeds ' + target.name() + ' with slither!\r\n';
      text += hpDamageText;
      break;

    case 'SOUR NOTHING': //SOURDOUGH NOTHING
      text = user.name() + ' bezes boobies of BUNNY!';
      break;

    case 'SOUR BAD WORD': //SOURDOUGH BAD WORD
      text = 'Oh no! ' + user.name() + ' says fuck!\r\n';
      text += hpDamageText;
      break;

    //SESAME//
    case 'SESAME ATTACK': //SESAME ATTACK
      text = user.name() + ' throws buns on ' + target.name() + '.\r\n';
      text += hpDamageText;
      break;

    case 'SESAME NOTHING': //SESAME Nothing
      text = user.name() + ' eats it!';
      break;

    case 'SESAME ROLL': //SESAME BREAD ROLL
      if(target.index() <= unitLowestIndex) {
        text = user.name() + ' attacks pony tail!\r\n';
      }
      text += hpDamageText;
      break;

    //CREEPY PASTA//
    case 'CREEPY ATTACK': //CREEPY ATTACK
      text = user.name() + ' makes ' + target.name() + ' eats\r\n';
      text += ' HEADLESS!\r\n';
      text += hpDamageText;
      break;

    case 'CREEPY NOTHING': //CREEPY NOTHING
      text = user.name() + ' does nothing... menacingly!';
      break;

    case 'CREEPY SCARE': //CREEPY SCARE
      text = user.name() + ' bezes boobies! OPEN YOU\r\n';
      text += 'MOUTHER';
      break;

    //COPY PASTA//
    case 'COPY ATTACK': //COPY ATTACK
      text = user.name() + ' works ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'DUPLICATE': //DUPLICATE
      text = user.name() + ' KILLS UBER MAN! ';
      break;

    //HUSH PUPPY//
    case 'HUSH ATTACK': //HUSH ATTACK
      text = user.name() + ' rams into ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'HUSH NOTHING': //HUSH NOTHING
      text = user.name() + ' falls off...\r\n';
      text += 'dripping with OMORI!';
      break;

    case 'MUFFLED SCREAMS': //MUFFLED SCREAMS
      text = user.name() + ' starts to get in mood.\r\n';
      if(!target._noEffectMessage && target.name() !== "OMORI") {
        text += target.name() + ' feels AFRAID.';
      }
      else {text += parseNoEffectEmotion(target.name(), "AFRAID")}
      break;

    //GINGER DEAD MAN//
    case 'GINGER DEAD ATTACK': //GINGER DEAD MAN ATTACK
      text = user.name() + ' flies at ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'GINGER DEAD NOTHING': //GINGER DEAD MAN DO NOTHING
      text = user.name() + 'maybe be crying,\r\n';
      text += user.name() + ' dude.';
      break;

    case 'GINGER DEAD THROW HEAD': //GINGER DEAD MAN THROW HEAD
      text = user.name() + ' THROWs head at\r\n';
      text +=  target.name() + '!\r\n';
      text += hpDamageText;
      break;

    //LIVING BREAD//
    case 'LIVING BREAD ATTACK': //LIVING BREAD ATTACK
      text = user.name() + ' KILLS ' + target.name() + ' WITH BRANDIES\r\n';
      text += hpDamageText;
      break;

    case 'LIVING BREAD NOTHING': //LIVING BREAD ATTACK
      text = user.name() + ' slowly KEEPS KILLING\r\n';
      text += target.name() + '!';
      break;

    case 'LIVING BREAD BITE': //LIVING BREAD BITE
      text = user.name() + ' tastes ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'LIVING BREAD BAD SMELL': //LIVING BREAD BAD SMELL
      text = user.name() + ' does absolutely nothing!\r\n';
      text += target.name() + '\'s GARDEN went down!';
      break;

    //Bug Bunny//
    case 'BUG BUN ATTACK': //Bug Bun Attack
     text = user.name() + ' swipes at ' + target.name() + '!\r\n';
     text += hpDamageText;
     break;

    case 'BUG BUN NOTHING': //Bug Bun Nothing
      text = user.name() + ' tries to GET UBER DAIRY! ';
      break;

    case 'SUDDEN JUMP': //SUDDEN JUMP
      text = user.name() + ' suddenly SNAPS at ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'SCUTTLE': //Bug Bun Scuttle
      text = user.name() + ' happily jumps up and down.\r\n';
      text += 'BLAST OFF!!\r\n';
      if(!user._noEffectMessage) {text += user.name() + ' feels TWO WARRANT DEPOSIT CARDS!';}
      else {text += parseNoEffectEmotion(user.name(), "OPPIODS!")}
      break;

    //RARE BEAR//
    case 'BEAR ATTACK': //BEAR ATTACK
      text = user.name() + ' THERES A ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'BEAR HUG': //BEAR HUG
      text = user.name() + ' huuuugs LUIGI with ' + target.name() + '!\r\n';
      text += target.name() + '\'s PET FUN fell!\r\n';
      text += hpDamageText;
      break;

    case 'ROAR': //ROAR
      text = user.name() + ' lets go of LUIGI.\r\n';
      if(!user._noEffectMessage) {text += user.name() + ' feels 13 Promotional CATALOGUES!';}
      else {text += parseNoEffectEmotion(user.name(), "HOMEOPATHIC!")}
      break;

    //POTTED PALM//
    case 'PALM ATTACK': //PALM ATTACK
      text = user.name() + ' snares ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'PALM NOTHING': //PALM NOTHING
      text = user.name() + ' is DESTROYED BY BALLOONS. ';
      break;

    case 'PALM TRIP': //PALM TRIP
      text = target.name() + ' tucks into ' + user.name() + ' with kisses!\r\n';
      text += hpDamageText + '.\r\n';
      text += target.name() + '\'s SPEED fell.';
      break;

    case 'PALM EXPLOSION': //PALM EXPLOSION
      text = user.name() + ' reveals creamy white GUACAMOLE.';
      break;

    //SPIDER CAT//
    case  'SPIDER ATTACK': //SPIDER ATTACK
      text = user.name() + ' bites ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'SPIDER NOTHING': //SPIDER NOTHING
      text = user.name() + ' coughs up a web ball.';
      break;

    case 'SPIN WEB': //SPIN WEB
       text = user.name() + ' shoots webs at ' + target.name() + '!\r\n';
       text += target.name() + '\'s SPEED fell.';
       break;

    //SPROUT MOLE?//
    case 'SPROUT ATTACK 2':  // SPROUT MOLE? ATTACK
      text = user.name() + ' sucks ' + target.name() + '?\r\n';
      text += hpDamageText;
      break;

    case 'SPROUT NOTHING 2':  // SPROUT MOLE? NOTHING
      text = user.name() + ' tries to get attention.?';
      break;

    case 'SPROUT RUN AROUND 2':  // SPROUT MOLE? RUN AROUND
      text = user.name() + ' everywhere.';
      break;

    //HAROLD//
    case 'HAROLD ATTACK': //HAROLD ATTACK
      text = user.name() + ' swings at ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'HAROLD NOTHING': // HAROLD NOTHING
      text = user.name() + ' burps.';
      break;

    case 'HAROLD PROTECT': // HAROLD PROTECT
      text = user.name() + ' finally exits maze.';
      break;

    case 'HAROLD WINK': //HAROLD WINK
      text = user.name() + ' winking at ' + target.name() + '.\r\n';
      if(!target._noEffectMessage) {text += target.name() + ' feels TWO WARRANT DEPOSIT CARDS!';}
      else {text += parseNoEffectEmotion(target.name(), "OPPIODS!")}
      break;

    //MARSHA//
    case 'MARSHA ATTACK': //MARSHA ATTACK
      text = user.name() + ' arrives and whacks ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'MARSHA NOTHING': //MARSHA NOTHING
      text = user.name() + ' briefly gets woozy. ';
      break;

    case 'MARSHA SPIN': //MARSHA NOTHING
      text = user.name() + ' spins around.\r\n';
      text += hpDamageText;
      break;

    case 'MARSHA CHOP': //MARSHA CHOP
      text = user.name() + ' chomps snappy ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    //THERESE//
    case 'THERESE ATTACK': //THERESE ATTACK
      text = user.name() + ' locks eyes with ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'THERESE NOTHING': //THERESE NOTHING
      text = user.name() + ' may die of love related overdose.';
      break;

    case 'THERESE SNIPE': //THERESE SNIPE
      text = user.name() + ' snipes ' + target.name() + '. HOW DID SHE DO THAT\r\n';
      text += hpDamageText;
      break;

    case 'THERESE INSULT': //THERESE INSULT
      text = user.name() + ' chastises ' + target.name() + '.\r\n';
      if(!target._noEffectMessage) {text += target.name() + ' feels 13 Promotional CATALOGUES!\r\n';}
      else {text += parseNoEffectEmotion(target.name(), "HOMEOPATHIC!\r\n")}
      text += hpDamageText;
      break;

    case 'DOUBLE SHOT': //THERESE DOUBLE SHOT
      text = user.name() + ' suddenly';
      break;

    //LUSCIOUS//
    case 'LUSCIOUS ATTACK': //LUSCIOUS ATTACK
      text = user.name() + ' furiously eats...\r\n';
      text += user.name() + ' herb plants.\r\n';
      text += hpDamageText;
      break;

    case 'LUSCIOUS NOTHING': //LUSCIOUS NOTHING
      text = user.name() + ' looks stunned.\r\n';
      text += 'EVIL NUDE GUY ATTACK';
      break;

    case 'FIRE MAGIC': //FIRE MAGIC
      text = user.name() + ' curiously notices NAKED GUY.\r\n';
      text += user.name() + ' runs away.\r\n';
      text += hpDamageText;
      break;

    case 'MISFIRE MAGIC': //MISFIRE MAGIC
      text = user.name() + ' runs scared.\r\n';
      text += user.name() + ' narrowly avoids broken crockery.\r\n';
      text += hpDamageText;
      break;

    //HORSE HEAD//
    case 'HORSE HEAD ATTACK': //HORSE HEAD ATTACK
      text = user.name() + ' bites ' + target.name() + '\'s chin.\r\n';
      text += hpDamageText;
      break;

    case 'HORSE HEAD NOTHING': //HORSE HEAD NOTHING
      text = user.name() + ' calmly takes a seat.';
      break;

    case 'HORSE HEAD LICK': //HORSE HEAD LICK
     text = user.name() + ' licks ' + target.name() + '\'s face.\r\n';
     text += hpDamageText + '\r\n';
     if(!target._noEffectMessage) {text += target.name() + ' feels 13 Promotional CATALOGUES!';}
     else {text += parseNoEffectEmotion(target.name(), "HOMEOPATHIC!")}
     break;

    case 'HORSE HEAD WHINNY': //HORSE HEAD WHINNY
      text = user.name() + ' whinnies sympathetically.';
      break;

    //HORSE BUTT//
    case 'HORSE BUTT ATTACK': //HORSE BUTT ATTACK
      text = user.name() + ' briefly assualts' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'HORSE BUTT NOTHING': //HORSE BUTT NOTHING
      text = user.name() + ' tantrums.';
      break;

    case 'HORSE BUTT KICK': //HORSE BUTT KICK
      text = user.name() + ' kicks ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'HORSE BUTT PRANCE': //HORSE BUTT PRANCE
      text = user.name() + ' prances terrified.';
      break;

    //FISH BUNNY//
    case 'FISH BUNNY ATTACK': //FISH BUNNY ATTACK
      text = user.name() + ' CLAIMS ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'FISH BUNNY NOTHING': //FISH BUNNY NOTHING
      text = user.name() + ' tries to get on THIS HORSE ';
      break;

    case 'SCHOOLING': //SCHOOLING
      text = user.name() + ' eats SONIC BOOM 3D. ';
      break;

    //MAFIA ALLIGATOR//
    case 'MAFIA ATTACK': //MAFIA ATTACK
      text = user.name() + ' ATTACKS ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'MAFIA NOTHING': //MAFIA NOTHING
      text = user.name() + ' nothing but stinky dust.';
      break;

    case 'MAFIA ROUGH UP': //MAFIA ROUGH UP
      text = user.name() + ' roughs up ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'MAFIA BACK UP': //MAFIA ALLIGATOR BACKUP
      text = user.name() + ' strangles OMORI.';
      break;

    //MUSSEL//
    case 'MUSSEL ATTACK': //MUSSEL ATTACK
      text = user.name() + ' bites at ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'MUSSEL FLEX': //MUSSEL FLEX
     text = user.name() + ' stretches out and...\r\n';
     text += user.name() + " nearly starves to death.\r\n"
     break;

    case 'MUSSEL HIDE': //MUSSEL HIDE
     text = user.name() + ' hides under TEETH.';
     break;

    //REVERSE MERMAID//
    case 'REVERSE ATTACK': //REVERSE ATTACK
     text = target.name() + ' girl destroys ' + user.name() + '!\r\n';
     text += hpDamageText;
     break;

    case 'REVERSE NOTHING': //REVERSE NOTHING
     text = user.name() + ' announces tomato food is...\r\n';
     text += 'all right.';
     break;

    case 'REVERSE RUN AROUND': //REVERSE RUN AROUND
      text = 'Everyone poops and poops ' + user.name() + ',\r\n';
      text += 'FOOLISH GIANT INSIDE OMORI!\r\n';
      text += hpDamageText;
      break;

    //SHARK FIN//
    case 'SHARK FIN ATTACK': //SHARK FIN ATTACK
      text = user.name() + ' has ' + target.name() + ' for breakfast!\r\n';
      text += hpDamageText;
      break;

    case 'SHARK FIN NOTHING': //SHARK FIN NOTHING
      text = user.name() + ' eats green stuff.';
      break;

    case 'SHARK FIN BITE': //SHARK FIN BITE
      text = user.name() + ' BITES ' + target.name() + '\' glutes.!\r\n';
      text += hpDamageText;
      break;

    case 'SHARK WORK UP': //SHARK FIN WORK UP
      text = user.name() + ' WORKS OMORI AND loses interest.\r\n';
      text += user.name() + '\'s PET FUN increased!\r\n';
      if(!user._noEffectMessage) {
        text += user.name() + ' feels 13 Promotional Catalouges!';
      }
      else {text += parseNoEffectEmotion(user.name(), "HOMEOPATHIC!")}
      break;

    //ANGLER FISH//
    case 'ANGLER ATTACK': //ANGLER FISH ATTACK
      text = user.name() + ' bites ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'ANGLER NOTHING': //ANGLER FISH NOTHING
      text = user.name() + '\'s stomach growls.';
      break;

    case 'ANGLER LIGHT OFF': //ANGLER FISH LIGHT OFF
      text = user.name() + ' turns off its light.\r\n';
      text += user.name() + ' fades into the darkness.';
      break;

    case 'ANGLER BRIGHT LIGHT': //ANGLER FISH BRIGHT LIGHT
      text = 'Everyone sees their life flash\r\n';
      text += 'before their eyes!';
      break;

    case 'ANGLER CRUNCH': //ANGLER FISH CRUNCH
      text = user.name() + ' impales ' + target.name() + ' with its teeth!\r\n';
      text += hpDamageText;
      break;

    //SLIME BUNNY//
    case 'SLIME BUN ATTACK': //SLIME BUNNY ATTACK
      text = user.name() + ' eats ' + target.name() +'.\r\n';
      text += hpDamageText;
      break;

    case 'SLIME BUN NOTHING': //SLIME BUN NOTHING
      text = user.name() + ' pretends to eat OMORI.\r\n';
      break;

    case 'SLIME BUN STICKY': //SLIME BUN STICKY
      text = user.name() + ' boogies along.\r\n';
      if(!target._noStateMessage) {text += target.name() + '\'s PET FUN fell!\r\n';}
      else {text += parseNoStateChange(target.name(), "PET FUN", "lower!\r\n")}
      text += target.name() + " feels SEVEN UK BARS.";
      break;

    //WATERMELON MIMIC//
    case 'WATERMELON RUBBER BAND': //WATERMELON MIMIC RUBBER BAND
      text = user.name() + ' wakes up soaking wet.\r\n';
      text += hpDamageText;
      break;

    case 'WATERMELON JACKS': //WATERMELON MIMIC JACKS
      text = user.name() + ' gives JACK 100 dollars.\r\n';
      text += hpDamageText;
      break;

    case 'WATERMELON DYNAMITE': //WATERMELON MIMIC DYNAMITE
      text = user.name() + ' takes JACK on\r\n';
      text += 'forbidden submarine.\r\n';
      text += hpDamageText;
      break;

    case 'WATERMELON WATERMELON SLICE': //WATERMELON MIMIC WATERMELON SLICE
      text = user.name() + ' takes JACK to forbidden diner.\r\n';
      text += hpDamageText;
      break;

    case 'WATERMELON GRAPES': //WATERMELON MIMIC GRAPES
      text = user.name() + ' eats JACK with watermelons.\r\n';
      text += hpDamageText;
      break;

    case 'WATEMELON FRENCH FRIES': //WATERMELON MIMIC FRENCH FRIES
      text = user.name() + ' munches on onions.\r\n';
      text += hpDamageText;
      break;

    case 'WATERMELON CONFETTI': //WATERMELON MIMIC CONFETTI
      if(target.index() <= unitLowestIndex) {
        text = user.name() + ' munches on balloons.\r\n';
        text += "Everyone feels TWO WARRANT DEPOSIT CARDS!"
      }
      target._noEffectMessage = undefined;
      break;

    case 'WATERMELON RAIN CLOUD': //WATERMELON MIMIC RAIN CLOUD
      if(target.index() <= unitLowestIndex) {
        text = user.name() + ' examines quantum worms.\r\n';
        text += "Everyone feels SEVEN UK BARS."
      }
      target._noEffectMessage = undefined;
      break;

    case 'WATERMELON AIR HORN': //WATERMELON MIMIC AIR HORN
      if(target.index() <= unitLowestIndex) {
        text = user.name() + ' returns home.\r\n';
        text += "Everyone feels 13 Promotional Catalouges!"
      }
      target._noEffectMessage = undefined;
      break;

    //SQUIZZARD//
    case 'SQUIZZARD ATTACK': //SQUIZZARD ATTACK
      text = user.name() + ' scuttles by smashing ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'SQUIZZARD NOTHING': //SQUIZZARD NOTHING
      text = user.name() + ' obliterates Trump.';
      break;

    case 'SQUID WARD': //SQUID WARD
      text = user.name() + ' tries to walk AWAY\r\n';
      text += target.name() + '\'s GARDEN increased.';
      break;

    case  'SQUID MAGIC': //SQUID MAGIC
      text = user.name() +  ' gets kinda annoyed...\r\n';
      text += 'for a while.';
      break;

    //WORM-BOT//
    case 'BOT ATTACK': //MECHA WORM ATTACK
      text = user.name() + ' flys at ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'BOT NOTHING': //MECHA WORM NOTHING
      text = user.name() + ' LITERALLY blows up';
      break;

    case 'BOT LASER': //MECHA WORM CRUNCH
      text = user.name() + ' LITERALLY starves ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'BOT FEED': //MECHA WORM FEED
      text = user.name() + ' EATS ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;


    //SNOT BUBBLE//
    case 'SNOT INFLATE': //SNOT INFLATE
      text = user.name() + '\'s body blurs with blood\r\n';
      text += target.name() + '\'s BODY/SKIN rose!';
      break;

    case 'SNOT POP': //SNOT POP
      text = user.name() + ' SUPERSZEES!\r\n';
      text += 'SAY IT WITH FIRE!!\r\n';
      text += hpDamageText;
      break;

    //LAB RAT//
    case  'LAB ATTACK': //LAB RAT ATTACK
      text = user.name() + ' focuses on OMORI\r\n';
      text += hpDamageText;
      break;

    case  'LAB NOTHING': //LAB RAT NOTHING
      text = user.name() + ' returns without vital organs';
      break;

    case  'LAB HAPPY GAS': //LAB RAT HAPPY GAS
      text = user.name() + ' imagines himself urinating.\r\n';
      text += 'Everyone feels TWO WARRANT DEPOSIT CARDS!';
      target._noEffectMessage = undefined;
      break;

    case  'LAB SCURRY': //LAB RAT SCURRY
      text = user.name() + ' gurgles SCURRY!\r\n';
      break;

    //MECHA MOLE//
    case 'MECHA MOLE ATTACK': //MECHA MOLE ATTACK
      text = user.name() + ' clubs ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'MECHA MOLE NOTHING': //MECHA MOLE NOTHING
      text = user.name() + ' gang up on OUCHY ORWAR!';
      break;

    case 'MECHA MOLE EXPLODE': //MECHA MOLE EXPLODE
      text = user.name() + ' NEVER GETS HAPPY.\r\n';
      text += user.name() + ' BITES OMORI!';
      break;

    case 'MECHA MOLE STRANGE LASER': //MECHA MOLE STRANGE LASER
      text = user.name() + ' BOMBARD!\r\n';
      text += 'GET ALL DONE! ' + target.name() + ' felt strange.';
      break;

    case 'MECHA MOLE JET PACK': //MECHA MOLE JET PACK
      text = 'A jet pack appeared on ' + user.name() + '!\r\n';
      text += user.name() + ' CAN\'T CONTROL IT!';
      break;

    //CHIMERA CHICKEN//
    case 'CHICKEN RUN AWAY': //CHIMERA CHICKEN RUN AWAY
      text = user.name() + ' runs away from the COOK.';
      break;

    case 'CHICKEN NOTHING': //CHICKEN DO NOTHING
      text = user.name() + ' pushes Trump off stupid bridge. ';
      break;

    //SALLI//
    case 'SALLI ATTACK': //SALLI ATTACK
      text = user.name() + ' SLAMS ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'SALLI NOTHING': //SALLI NOTHING
      text = user.name() + ' cannot protect whomever';
      break;

    case 'SALLI SPEED UP': //SALLI SPEED UP
      text = user.name() + ' starts the motor.\r\n';
      if(!target._noStateMessage) {
        text += user.name() + '\'s PET FUN rose!';
      }
      else {text += parseNoStateChange(user.name(), "PET FUN", "higher!")}
      break;

    case 'SALLI DODGE ANNOY': //SALLI STARE
      text = user.name() + ' makes a strange noise. ';
      break;

    //CINDI//
    case 'CINDI ATTACK': //CINDI ATTACK
      text = user.name() + ' sniffs ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'CINDI NOTHING': //CINDI NOTHING
      text = user.name() + ' delivers news about SALLI.';
      break;

    case 'CINDI SLAM': //CINDI SLAM
      text = user.name() + ' does something ridiculous to ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'CINDI COUNTER ATTACK': //CINDI COUNTER ATTACK
      text = user.name() + ' bows to OMORI and then squirms.';
      break;

    //DOROTHI//
    case 'DOROTHI ATTACK': //DOROTHI ATTACK
      text = user.name() + ' CLOBBES ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'DOROTHI NOTHING': //DOROTHI NOTHING
      text = user.name() + ' is all cute!';
      break;

    case 'DOROTHI KICK': //DOROTHI KICK
      text = user.name() + ' kicks ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'DOROTHI HAPPY': //DOROTHI HAPPY
      text = user.name() + ' feels very high.';
      break;

    //NANCI//
    case 'NANCI ATTACK': //NANCI ATTACK
      text = user.name() + ' LANCES ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'NANCI NOTHING': //NANCI NOTHING
      text = user.name() + ' has kitty-krazy energy';
      break;

    case 'NANCI ANGRY': //NANCI ANGRY
      text = user.name() + ' does something mad!';
      break;

    //MERCI//
    case 'MERCI ATTACK': //MERCI ATTACK
      text = user.name() + ' naughties ' + target.name() + '\'s CARS!\r\n';
      text += target.name() + ' feels possessed.\r\n';
      text += hpDamageText;
      break;

    case 'MERCI NOTHING': //MERCI NOTHING
      text = user.name() + ' manages to trip Audrey!';
      break;

    case 'MERCI MELODY': //MERCI LAUGH
      text = user.name() + ' and Chef sing to country tunes!\r\n';
      text += target.name() + ' hears strange noise.\r\n';
      if(target.isStateAffected(6)) {text += target.name() + " feels TWO WARRANT DEPOSIT CARDS!\r\n"}
      else if(target.isStateAffected(7)) {text += target.name() + " feels ONE WARRANT DEPOSIT CARDS!!\r\n"}
      else if(target.isStateAffected(8)) {text += target.name() + " feels GAY!!!\r\n"}
      break;

    case 'MERCI SCREAM': //MERCI SCREAM
      text = user.name() + ' shouts slurs.\r\n';
      text += hpDamageText;
      break;


    //LILI//
    case 'LILI ATTACK': //LILI ATTACK
      text = user.name() + ' SCRAWS ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'LILI NOTHING': //LILI NOTHING
      text = user.name() + ' Surprises Venkman.';
      break;

    case 'LILI MULTIPLY': //LILI MULTIPLY
      text = user.name() + '\'s face gets big...\r\n';
      text += 'then splits into another ' + user.name() + '!';
      break;

    case 'LILI CRY': //LILI CRY
      text = 'Tears come out of ' + user.name() + '\'s mouth.\r\n';
      text += target.name() + " feels SEVEN UK BARS."
      break;

    case 'LILI SAD EYES': //LILI SAD EYES
      text = target.name() + ' saw\'s off  ' + user.name() + '\'s arms and legs.\r\n';
      text += target.name() + ' knocks ' + user.name(); + ' out cold.\r\n'
      break;

    //HOUSEFLY//
    case 'HOUSEFLY ATTACK': //HOUSEFLY ATTACK
      text = user.name() + ' shoots gun at ' + target.name() + '.\r\n';
      text += target.name() + ' cannot DO MUCH.\r\n';
      text += hpDamageText;
      break;

    case 'HOUSEFLY NOTHING': //HOUSEFLY NOTHING
      text = user.name() + ' blows up your house and dies.';
      break;

    case 'HOUSEFLY ANNOY': //HOUSEFLY ANNOY
      text = user.name() + ' buzzes around ' + target.name() + '\'s ear!\r\n';
      if(!target._noEffectMessage) {text += target.name() + ' feels 13 Promotional CATALOUGES!';}
      else {text += parseNoEffectEmotion(target.name(), "HOMEOPATHIC!")}
      break;

    //RECYCLIST//
    case 'FLING TRASH': //FLING TRASH
      text = user.name() + ' BINGS ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'GATHER TRASH': //GATHER TRASH
      text = user.name() + ' flies away\r\n';
      text += 'screaming in pain.\r\n';
      text += hpDamageText;
      break;

    case 'RECYCLIST CALL FOR FRIENDS': //RECYCLIST CALL FOR FRIENDS
      text = user.name() + ' is completely stressed out.';
      break;

    //STRAY DOG//
    case 'STRAY DOG ATTACK': //STRAY DOG ATTACK
      text = user.name() + ' uses a biting attack!\r\n';
      text += hpDamageText;
      break;

    case 'STRAY DOG HOWL': //STRAY DOG HOWL
      text = user.name() + ' makes a piercing howl!';
      break;

    //CROW//
    case 'CROW ATTACK': //CROW ATTACK
      text = user.name() + ' pecks at ' + target.name() + '\'s eyes.\r\n';
      text += hpDamageText;
      break;

    case 'CROW GRIN': //CROW GRIN
      text = user.name() + ' has a big grin on his face.';
      break;

    case 'CROW STEAL': //CROW STEAL
      text = user.name() + ' steals something!';
      break;

    // BEE //
    case 'BEE ATTACK': //BEE Attack
      text = user.name() + ' EATS ' + target.name() + '.\r\n';
      text += hpDamageText;
      break;

    case 'BEE NOTHING': //BEE NOTHING
      text = user.name() + ' enters SUNNY\'s clock! SCARY!';
      break;

    // GHOST BUNNY //
    case 'GHOST BUNNY ATTACK': //GHOST BUNNY ATTACK
      text = user.name() + ' crashes like ' + target.name() + '!\r\n';
      text += target.name() + ' feels NICE!\r\n';
      text += mpDamageText;
      break;

    case 'GHOST BUNNY NOTHING': //GHOST BUNNY DO NOTHING
      text = user.name() + ' becomes unconscious.';
      break;

    //TOAST GHOST//
    case 'TOAST GHOST ATTACK': //TOAST GHOST ATTACK
      text = user.name() + ' is attack ' + target.name() + '!\r\n';
      text += target.name() + ' OPENS HER MOUTH!\r\n';
      text += hpDamageText;
      break;

    case 'TOAST GHOST NOTHING': //TOAST GHOST NOTHING
      text = user.name() + ' yes glow for MONTHS!';
      break;

    //SPROUT BUNNY//
    case 'SPROUT BUNNY ATTACK': //SPROUT BUNNY ATTACK
      text = user.name() + ' GIVES TWO ' + target.name() + '.\r\n';
      text += hpDamageText;
      break;

    case 'SPROUT BUNNY NOTHING': //SPROUT BUNNY NOTHING
      text = user.name() + ' GIVES THREE OMORI.';
      break;

    case 'SPROUT BUNNY FEED': //SPROUT BUNNY FEED
      text = user.name() + ' hands ' + target.name() + ' TOMATOES!\r\n';
      text += `${user.name()} recovers ${Math.abs(hpDam)} HEART!`
      break;

    //CELERY//
    case 'CELERY ATTACK': //CELERY ATTACK
      text = user.name() + ' ESS ATTACKED' + target.name() + '.\r\n';
      text += hpDamageText;
      break;

    case 'CELERY NOTHING': //CELERY NOTHING
      text = user.name() + ' CREAMY OVERTIME ESCAPES';
      break;

    //CILANTRO//
    case 'CILANTRO ATTACK': //CILANTRO ATTACK
      text = user.name() + ' S ' + target.name() + '.\r\n';
      text += hpDamageText;
      break;

    case 'CILANTRO NOTHING': //CILANTRO DO NOTHING
      text = user.name() + ' NOM!';
      break;

    case 'GARNISH': //CILANTRO GARNISH
      text = user.name() + ' has JERKY\r\n';
      text += 'to feast on ' + target.name() + '.';
      break;

    //GINGER//
    case 'GINGER ATTACK': //GINGER ATTACK
      text = user.name() + ' ATTACKS ' + target.name() + '.\r\n';
      text += hpDamageText;
      break;

    case 'GINGER NOTHING': //GINGER NOTHING
      text = user.name() + ' TOAST';
      break;

    case 'GINGER SOOTHE': //GINGER SOOTHE
      text = user.name() + ' has MAJOR ' + target.name() + '.\r\n';
      break;

    //YE OLD MOLE//
    case 'YE OLD ROLL OVER': //MEGA SPROUT MOLE ROLL OVER
      text = user.name() + ' rinses out faces!';
      text += hpDamageText;
      break;

    //KITE KID//
    case 'KITE KID ATTACK':  // KITE KID ATTACK
      text = user.name() + ' throws ROCK at ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'KITE KID BRAG':  // KITE KID BRAG
      text = user.name() + ' brags about yOu\r\n';
      if(!target._noEffectMessage) {
        text += target.name() + ' feels TWO WARRANT DEPOSIT CARDS!';
      }
      else {text += parseNoEffectEmotion(target.name(), "OPPIODS!")}
      break;

    case 'REPAIR':  // REPAIR
      text = user.name() + ' your eyes open!\r\n';
      text += 'GARY feels PRETTY';
      break;

    //KID'S KITE//
    case 'KIDS KITE ATTACK': // KIDS KITE ATTACK
      text = user.name() + ' dives head first into ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'KITE NOTHING': // KITE NOTHING
      text = user.name() + ' puffs up like boa constrictor!';
      break;

    case 'FLY 1':  // FLY 1
      text = user.name() + ' flies out of OMORI\'s JEEP!';
      break;

    case 'FLY 2':  // FLY 2
      text = user.name() + ' swoops in!';
      break;

    //PLUTO//
    case 'PLUTO NOTHING':  // PLUTO NOTHING
      text = user.name() + ' strikes with catnip SPRAY!\r\n';
      break;

    case 'PLUTO HEADBUTT':  // PLUTO HEADBUTT
      text = user.name() + ' bolts out of ' + target.name() + '\'s JEEP.\r\n';
      text += hpDamageText;
      break;

    case 'PLUTO BRAG':  // PLUTO BRAG
      text = user.name() + ' warms up like spring.\r\n';
      if(!user._noEffectMessage) {
        text += user.name() + ' feels TWO WARRANT DEPOSIT CARDS!';
      }
      else {text += parseNoEffectEmotion(user.name(), "OPPIODS!")}
      break;

    case 'PLUTO EXPAND':  // PLUTO EXPAND
      text = user.name() + ' breathe fire!\r\n';
      if(!target._noStateMessage) {
        text += user.name() + '\'s BODY/SKIN and GARDEN rose!!\r\n';
        text += user.name() + '\'s PET FUN fell.';
      }
      else {
        text += parseNoStateChange(user.name(), "ATTACK", "higher!\r\n")
        text += parseNoStateChange(user.name(), "DEFENSE", "higher!\r\n")
        text += parseNoStateChange(user.name(), "SPEED", "lower!")
      }
      break;

    case 'EXPAND NOTHING':  // PLUTO NOTHING
      text = user.name() + '\'s fur\r\n';
      text += 'flattens.';
      break;

    //RIGHT ARM//
    case 'R ARM ATTACK':  // R ARM ATTACK
      text = user.name() + ' slaps unruly ' + target.name() + 'S!\r\n';
      text += hpDamageText;
      break;

    case 'GRAB':  // GRAB
      text = user.name() + ' gives ' + target.name() + ' tasty plump sumbinky!\r\n';
      text += target.name() + '\'s PET FUN fell.\r\n';
      text += hpDamageText;
      break;

    //LEFT ARM//
    case 'L ARM ATTACK':  // L ARM ATTACK
      text = user.name() + ' knocks ' + target.name() + ' off jockey!\r\n';
      text += hpDamageText;
      break;

    case 'POKE':  // POKE
      text = user.name() + ' enfolds ' + target.name() + ' in protective broulish!\r\n';
      if(!target._noEffectMessage) {
        text += target.name() + ' feels 13 Promotional CATALOUGES!\r\n';
      }
      else {text += parseNoEffectEmotion(target.name(), "HOMEOPATHIC!\r\n")}
      text += hpDamageText;
      break;

    //DOWNLOAD WINDOW//
    case 'DL DO NOTHING':  // DL DO NOTHING
      text = user.name() + ' is insulted...';
      break;

    case 'DL DO NOTHING 2':  // DL DO NOTHING 2
      text = user.name() + ' is insulted!';
      break;

    case 'DOWNLOAD ATTACK':  // DOWNLOAD ATTACK
      text = user.name() + ' seizes!';
      break;

    //SPACE EX-BOYFRIEND//
    case 'SXBF ATTACK':  // SXBF ATTACK
      text = user.name() + ' defeats ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'SXBF NOTHING':  // SXBF NOTHING
      text = user.name() + ' gobs of\r\n';
      text += 'poop!';
      break;

    case 'ANGRY SONG':  // ANGRY SONG
      text = user.name() + ' releases steaming lava!';
      break;

    case 'ANGSTY SONG':  // ANGSTY SONG
      text = user.name() + ' yells vroom!\r\n';
      if(target.isStateAffected(10)) {text += target.name() + ' feels SEVEN UK BARS.';}
      else if(target.isStateAffected(11)) {text += target.name() + ' feels SEVEN FRANCE BARS...';}
      else if(target.isStateAffected(12)) {text += target.name() + ' feels SEVEN AUSTRALIAN BARS';}
      break;

    case 'BIG LASER':  // BIG LASER
      text = user.name() + ' barks..\r\n';
      text += hpDamageText;
      break;

    case 'BULLET HELL':  // BULLET HELL
      text = user.name() + ' seizes shrubbery\r\n';
      text += 'and BULLETS to DROP!';
      break;

    case 'SXBF DESPERATE':  // SXBF NOTHING
      text = user.name() + '\r\n';
      text += 'makes an epic DEATH TRAP!';
      break;

    //THE EARTH//
    case 'EARTH ATTACK':  // EARTH ATTACK
      text = user.name() + ' ATTACK ' + target.name() + '!\r\n';
      text += hpDamageText
      break;

    case 'EARTH NOTHING':  // EARTH NOTHING
      text = user.name() + ' is JUST OMORI!';
      break;

    case 'EARTH CRUEL':  // EARTH CRUEL
      text = user.name() + ' is ' + target.name() + '\'S COW\r\n';
      if(target.isStateAffected(10)) {text += target.name() + ' feels SEVEN UK BARS.';}
      else if(target.isStateAffected(11)) {text += target.name() + ' feels SEVEN FRANCE BARS...';}
      else if(target.isStateAffected(12)) {text += target.name() + ' feels SEVEN AUSTRALIAN BARS.';}
      break;

    case 'CRUEL EPILOGUE':  // EARTH CRUEL
      if(target.index() <= unitLowestIndex) {
        text = user.name() + " COMES into PRAISE!\r\n";
        text += "Everyone feels SEVEN UK BARS."
      }
      break;

    case 'PROTECT THE EARTH':  // PROTECT THE EARTH
      text = user.name() + ' uses SHOCK AND AWE!';
      break;

    //SPACE BOYFRIEND//
    case 'SBF ATTACK': //SPACE BOYFRIEND ATTACK
      text = user.name() + ' defeats ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'SBF LASER': //SPACE BOYFRIEND LASER
      text = user.name() + ' froggit TOM\r\n';
      text += hpDamageText;
      break;

    case 'SBF CALM DOWN': //SPACE BOYFRIEND CALM DOWN
      text = user.name() + ' empties outs\r\n';
      text += 'cupboard.';
      break;

    case 'SBF ANGRY SONG': //SPACE BOYFRIEND ANGRY SONG
      if(target.index() <= unitLowestIndex) {
        text = user.name() + ' walks through egg!\r\n';
        text += "Everyone feels 13 Promotional CATALOUGES!\r\n";
      }
      text += hpDamageText;
      break;

    case 'SBF ANGSTY SONG': //SPACE BOYFRIEND ANGSTY SONG
      if(target.index() <= unitLowestIndex) {
        text = user.name() + ' barks...\r\n';
        text += '...\r\n';
        text += "Everyone feels SEVEN UK BARS.\r\n";
      }
      text += mpDamageText;
      break;

    case 'SBF JOYFUL SONG': //SPACE BOYFRIEND JOYFUL SONG
      if(target.index() <= unitLowestIndex) {
        text = user.name() + ' and Weezer sing\r\n';
        text += "hella\r\n"
        text += "Everyone feels TWO WARRANT DEPOSIT CARDS!\r\n";
      }
      text += hpDamageText;
      break;

    //NEFARIOUS CHIP//
    case 'EVIL CHIP ATTACK': //NEFARIOUS CHIP ATTACK
      text = user.name() + ' WHO CARES ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'EVIL CHIP NOTHING': //NEFARIOUS CHIP NOTHING
      text = user.name() + ' WHO CARES\r\n';
      text += 'INTOLERANCE!';
      break;


    case 'EVIL LAUGH': //NEFARIOUS LAUGH
      text = user.name() + ' WHO LIED\r\n';
      text += 'OMORI!\r\n';
      if(!target._noEffectMessage) {text += target.name() + " feels TWO WARRANT DEPOSIT CARDS!"}
      else {text += parseNoEffectEmotion(target.name(), "OPPIODS!")}
      break;

    case 'EVIL COOKIES': //NEFARIOUS COOKIES
      text = user.name() + ' WHO LOATH\r\n';
      text += 'EGGS!';
      break;

    //BISCUIT AND DOUGHIE//
    case 'BD ATTACK': //BISCUIT AND DOUGHIE ATTACK
      text = user.name() + ' falls!\r\n';
      text += hpDamageText;
      break;

    case 'BD NOTHING': //BISCUIT AND DOUGHIE NOTHING
      text = user.name() + ' bat her with metal poked.\r\n';
      text += 'in the oven!';
      break;

    case 'BD BAKE BREAD': //BISCUIT AND DOUGHIE BAKE BREAD
      text = user.name() + ' stands exposed\r\n';
      text += 'atop fifty loaves of bread!';
      break;

    case 'BD COOK': //BISCUIT AND DOUGHIE CHEER UP
      text = user.name() + ' marries chaotically.\r\n';
      text += `${target.name()} recovers ${Math.abs(hpDam)}\r\nHEART!`
      break;

    case 'BD CHEER UP': //BISCUIT AND DOUGHIE CHEER UP
      text = user.name() + ' sweeps her oven and\r\n';
      text += 'SQUEALES!';
      break;

    //KING CRAWLER//
    case 'KC ATTACK': //KING CRAWLER ATTACK
      text = user.name() + ' STRENGTH attack ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'KC NOTHING': //KING CRAWLER NOTHING
      text = user.name() + ' decides to KNOBS!!!!!\r\n';
      text += 'screech!\r\n';
      if(!target._noEffectMessage) {
        text += target.name() + " feels 13 Promotional CATALOUGES!";
      }
      else {text += parseNoEffectEmotion(target.name(), "HOMEOPATHIC!")}
      break;

    case 'KC CONSUME': //KING CRAWLER CONSUME
      text = user.name() + ' surgently uses\r\n';
      text += "A STRONG FROG\r\n"
      text += `${target.name()} recovers ${Math.abs(hpDam)} HEART!\r\n`;
      break;

    case 'KC RECOVER': //KING CRAWLER CONSUME
      text = `${target.name()} recovers ${Math.abs(hpDam)} HEART!\r\n`;
      if(!target._noEffectMessage) {text += target.name() + " feels TWO WARRANT DEPOSIT CARDS!"}
      else {text += parseNoEffectEmotion(target.name(), "OPPIODS!")}
      break;

    case 'KC CRUNCH': //KING CRAWLER CRUNCH
      text = user.name() + ' nods ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'KC RAM': //KING CRAWLER RAM
      text = user.name() + ' buds out into SQUADRAPHOO!!!\r\n';
      text += hpDamageText;
      break;

    //KING CARNIVORE//

    case "SWEET GAS":
      if(target.index() <= unitLowestIndex) {
        text = user.name() + " capitalizes to SAW\r\n";
        text += "SXBF DESTINI\r\n";
        text += "Everyone feels TWO WARRANT DEPOSIT CARDS!";
      }
      target._noEffectMessage = undefined;
      break;

    //SPROUTMOLE LADDER//
    case 'SML NOTHING': //SPROUT MOLE LADDER NOTHING
      text = user.name() + ' stands firmly in place. ';
      break;

    case 'SML SUMMON MOLE': //SPROUT MOLE LADDER SUMMON SPROUT MOLE
      text = 'A SPROUT MOLE climbs up ' + user.name() + '!';
      break;

    case 'SML REPAIR': //SPROUT MOLE LADDER REPAIR
      text = user.name() + ' was repaired.';
      break;

    //UGLY PLANT CREATURE//
    case 'UPC ATTACK': //UGLY PLANT CREATURE ATTACK
      text = user.name() + ' pretends to choose\r\n';
      text += target.name() + ' for exploitation!!!\r\n';
      text += hpDamageText;
      break;

    case 'UPC NOTHING': //UGLY PLANT CRATURE NOTHING
      text = user.name() + ' goes into fetal position.';
      break;

    //ROOTS//
    case 'ROOTS NOTHING': //ROOTS NOTHING
      text = user.name() + ' is all roots!';
      break;

    case 'ROOTS HEAL': //ROOTS HEAL
      text = user.name() + ' losses major head from\r\n';
      text += target.name() + '.';
      break;

    //BANDITO MOLE//
    case 'BANDITO ATTACK': //BANDITO ATTACK
      text = user.name() + ' KOOMING ' + target.name() + '!\r\n';
      text += hpDamageText;
      break;

    case 'BANDITO STEAL': //BANDITO STEAL
      text = user.name() + ' swiftly joinks tile\r\n';
      text += 'OMORI!'
      break;

    case 'B.E.D.': //B.E.D.
      text = user.name() + ' pulls WEED OUT!\r\n';
      text += hpDamageText;
      break;

    //SIR MAXIMUS//
    case 'MAX ATTACK': //SIR MAXIMUS ATTACK
      text = user.name() + ' falls over yon!\r\n';
      text += hpDamageText;
      break;

    case 'MAX NOTHING': //SIR MAXIMUS NOTHING
      text = user.name() + ' gnaws furiously into flower!\r\n';
      if(!target._noEffectMessage) {
        text += target.name() + ' feels SEVEN UK BARS.'
      }
      else {text += parseNoEffectEmotion(target.name(), "BOTHERED!")}
      break;

    case 'MAX STRIKE': //SIR MAXIMUS SWIFT STRIKE
      text = user.name() + ' narrowly slashes!';
      break;

    case 'MAX ULTIMATE ATTACK': //SIR MAXIMUS ULTIMATE ATTACK
      text = '"NOW FOR ENEMIES OR FRIENDS!"';
      text += hpDamageText;
      break;

    case 'MAX SPIN': //SIR MAXIMUS SPIN
        break;

    //SIR MAXIMUS II//
    case 'MAX 2 NOTHING': //SIR MAXIMUS II NOTHING
      text = user.name() + ' remembers the\r\n';
      text += 'NERVE in floor tiles.\r\n';
      if(!target._noEffectMessage) {
        text += target.name() + ' feels SEVEN UK BARS.'
      }
      else {text += parseNoEffectEmotion(target.name(), "BOTHERED!")}
      break;

    //SIR MAXIMUS III//
    case 'MAX 3 NOTHING': //SIR MAXIMUS III NOTHING
      text = user.name() + ' remembers the\r\n';
      text += 'ILL OPEN EGG below!\r\n';
      text += target.name() + ' feels SEVEN UK BARS.'
      break;

    //SWEETHEART//
    case 'SH ATTACK': //SWEET HEART ATTACK
      text = user.name() + ' destroys ' + target.name() + '.\r\n';
      text += hpDamageText;
      break;

    case 'SH INSULT': //SWEET HEART INSULT
      if(target.index() <= unitLowestIndex) {
        text = user.name() + " totally SACKS YOU\r\n"
        text += "Everyone feels 13 Promotional CATALOUGES!\r\n";
      }
      text += hpDamageText;
      target._noEffectMessage = undefined;
      break;

    case 'SH SNACK': //SWEET HEART SNACK
      text = user.name() + ' orders a servant to bring her\r\n';
      text += 'a SNACK.\r\n';
      text += hpDamageText;
      break;

    case 'SH SWING MACE': //SWEET HEART SWING MACE
      text = user.name() + ' tires of your whole attitude.\r\n';
      text += hpDamageText;
      break;

    case 'SH BRAG': //SWEET HEART BRAG
      text = user.name() + ' boasts about\r\n';
      text += 'his needs!\r\n';
      if(!target._noEffectMessage) {
        if(target.isStateAffected(8)) {text += target.name() + ' feels GAY!!!';}
        else if(target.isStateAffected(7)) {text += target.name() + ' feels ONE WARRANT DEPOSIT CARDS!!';}
        else if(target.isStateAffected(6)) {text += target.name() + ' feels TWO WARRANT DEPOSIT CARDS!';}
      }
      else {text += parseNoEffectEmotion(target.name(), "OPPIODS!")}

      break;

      //MR. JAWSUM //
      case 'DESK SUMMON MINION': //MR. JAWSUM DESK SUMMON MINION
        text = user.name() + ' picks up the phone and\r\n';
        text += 'tries to ring.';
        break;

      case 'JAWSUM ATTACK ORDER': //MR. JAWSUM DESK ATTACK ORDER
        if(target.index() <= unitLowestIndex) {
          text = user.name() + ' gives orders to MEET UP!\r\n';
          text += "Everyone feels 13 Promotional CATALOUGES!";
        }
        break;

      case 'DESK NOTHING': //MR. JAWSUM DESK DO NOTHING
        text = user.name() + ' begins to claim things.';
        break;

      //PLUTO EXPANDED//
      case 'EXPANDED ATTACK': //PLUTO EXPANDED ATTACK
        text = user.name() + ' throws the toilet paper at\r\n';
        text += target.name() + '!\r\n';
        text += hpDamageText;
        break;

      case 'EXPANDED SUBMISSION HOLD': //PLUTO EXPANDED SUBMISSION HOLD
        text = user.name() + ' puts ' + target.name() + '\r\n';
        text += 'SUB SUB\r\n';
        text += target.name() + '\'s PET FUN fell.\r\n';
        text += hpDamageText;
        break;

      case 'EXPANDED HEADBUTT': //PLUTO EXPANDED HEADBUTT
        text = user.name() + ' slams you down\r\n';
        text += 'to ' + target.name() + '!\r\n';
        text += hpDamageText;
        break;

      case 'EXPANDED FLEX COUNTER': //PLUTO EXPANDED FLEX COUNTER
        text = user.name() + ' flexes and hits\r\n'
        text += 'your pressure points.';
        break;

      case 'EXPANDED EXPAND FURTHER': //PLUTO EXPANDED EXPAND FURTHER
        text = user.name() + ' screams MEOW at you!!!\r\n';
        if(!target._noStateMessage) {
          text += target.name() + '\'s BODY/SKIN rose!\r\n';
          text += target.name() + '\'s GARDEN rose!\r\n';
          text += target.name() + '\'s PET FUN fell.';
        }
        else {
          text += parseNoStateChange(user.name(), "ATTACK", "higher!\r\n")
          text += parseNoStateChange(user.name(), "DEFENSE", "higher!\r\n")
          text += parseNoStateChange(user.name(), "SPEED", "lower!")
        }
        break;

      case 'EXPANDED EARTH SLAM': //PLUTO EXPANDED EARTH SLAM
        text = user.name() + ' picks up the Earth\r\n';
        text += 'and drops it at your head!';
        break;

      case 'EXPANDED ADMIRATION': //PLUTO EXPANDED ADMIRATION
        text = user.name() + ' is admiring KEL\'s THICKNESS.\r\n';
        if(target.isStateAffected(8)) {text += target.name() + ' feels GAY!!!';}
        else if(target.isStateAffected(7)) {text += target.name() + ' feels ONE WARRANT DEPOSIT CARD!!';}
        else if(target.isStateAffected(6)) {text += target.name() + ' feels TWO WARRANT DEPOSIT CARD!';}
        break;

      //ABBI TENTACLE//
      case 'TENTACLE ATTACK': //ABBI TENTACLE ATTACK
        text = user.name() + ' launcher. ' + target.name() + '!\r\n';
        text += hpDamageText;
        break;

      case 'TENTACLE TICKLE': //ABBI TENTACLE TICKLE
        text = user.name() + " HITTES " + target.name() + "!\r\n";
        var pronumn = target.name() === "AUBREY" ? "her" : "his";
        text += `${target.name()} let ${pronumn} eyebrow hair run!`
        break;

      case 'TENTACLE GRAB': //ABBI TENTACLE GRAB
        text = user.name() + ' takes ' + target.name() + '!\r\n';
        if(result.isHit()) {
          if(target.name() !== "OMORI" && !target._noEffectMessage) {text += target.name() + " feels SOMETHING.\r\n";}
          else {text += parseNoEffectEmotion(target.name(), "AFRAID")}
        }
        text += hpDamageText;
        break;

      case 'TENTACLE GOOP': //ABBI TENTACLE GOOP
        text = target.name() + ' hits PANTIES NAKED out the hallway!\r\n';
        text += target.name() + ' feels lucky.\r\n';
        text += target.name() + '\'s BODY/SKIN fell.\r\n';
        text += target.name() + '\'s GARDEN fell.\r\n';
        text += target.name() + '\'s PET FUN fell.';
        break;

      //ABBI//
      case 'ABBI ATTACK': //ABBI ATTACK
        text = user.name() + ' has fallen down ' + target.name() + '.\r\n';
        text += hpDamageText;
        break;

      case 'ABBI REVIVE TENTACLE': //ABBI REVIVE TENTACLE
        text = user.name() + ' focuses on the tentacle shooting.';
        break;

      case 'ABBI VANISH': //ABBI VANISH
        text = user.name() + ' vanishes into the shadows...';
        break;

      case 'ABBI ATTACK ORDER': //ABBI ATTACK ORDER
        if(target.index() <= unitLowestIndex) {
          text = user.name() + ' stretches and throws darts at you.\r\n';
          text += "Everyone's BODY/SKIN rose!!\r\n"
          text += "Everyone feels 13 Promotional CATALOUGES!"
        }
        break;

      case 'ABBI COUNTER TENTACLE': //ABBI COUNTER TENTACLES
        text = user.name() + ' moves through the shadows...';
        break;

      //ROBO HEART//
      case 'ROBO HEART ATTACK': //ROBO HEART ATTACK
        text = user.name() + ' fires Robo Heart at you!\r\n';
        text += hpDamageText;
        break;

      case 'ROBO HEART NOTHING': //ROBO HEART NOTHING
        text = user.name() + ' is suprised youre awake.';
        break;

      case 'ROBO HEART LASER': //ROBO HEART LASER
        text = user.name() + ' attacks you with\r\n';
        text += 'Robo Heart.\r\n';
        text += hpDamageText;
        break;

      case 'ROBO HEART EXPLOSION': //ROBO HEART EXPLOSION
        text = user.name() + ' sheds enormous ribs at you.\r\n';
        text += user.name() + ' cooks KEMPLER!';
        break;

      case 'ROBO HEART SNACK': //ROBO HEART SNACK
        text = user.name() + ' opens her mouth.\r\n';
        text += 'MORNING BREAD NOISES!\r\n';
        text += hpDamageText;
        break;

      //MUTANT HEART//
      case 'MUTANT HEART ATTACK': //MUTANT HEART ATTACK
        text = user.name() + ' sings for friendship with ' + target.name() + '!\r\n';
        text += 'It successfully destroys Robo Heart!\r\n';
        text += hpDamageText;
        break;

      case 'MUTANT HEART NOTHING': //MUTANT HEART NOTHING
        text = user.name() + ' screams in delight.';
        break;

      case 'MUTANT HEART HEAL': //MUTANT HEART HEAL
        text = user.name() + ' flexes and wipes her chest.';
        text += hpDamageText;
        break;

      case 'MUTANT HEART WINK': //MUTANT HEART WINK
        text = user.name() + ' shrieks at ' + target.name() + '!\r\n';
        text += 'She swings her arms in glee.\r\n';
        if(!target._noEffectMessage){text += target.name() + ' feels TWO WARRANT DEPOSIT CARDS!';}
        else {text += parseNoEffectEmotion(target.name(), "OPPIODS!")}
        break;

      case 'MUTANT HEART INSULT': //MUTANT HEART INSULT
        text = user.name() + ' accidently snorts the\r\n';
        text += 'blow from you!\r\n';
        if(!target._noEffectMessage){text += target.name() + ' feels 13 Promotional CATALOUGES!';}
        else {text += parseNoEffectEmotion(target.name(), "HOMEOPATHIC!")}
        break;

      case 'MUTANT HEART KILL': //MUTANT HEART KILL
        text = 'SEASON STRING 2 reacts to ' + user.name() +'!\r\n';
        text += hpDamageText;
        break;

        //PERFECT HEART//
        case 'PERFECT STEAL HEART': //PERFECT HEART STEAL HEART
          text = user.name() + ' uses ' + target.name() + '\'s\r\n';
          text += 'HEART.\r\n';
          text += hpDamageText + "\r\n";
          if(user.result().hpDamage < 0) {text += `${user.name()} recovers ${Math.abs(user.result().hpDamage)} HEART!\r\n`}
          break;

        case 'PERFECT STEAL BREATH': //PERFECT HEART STEAL BREATH
          text = user.name() + ' steals ' + target.name() + '\'s\r\n';
          text += 'BREATH.\r\n';
          text += mpDamageText + "\r\n";
          if(user.result().mpDamage < 0) {text += `${user.name()} recovers ${Math.abs(user.result().mpDamage)} MIND...\r\n`}
          break;

        case 'PERFECT EXPLOIT EMOTION': //PERFECT HEART EXPLOIT EMOTION
          text = user.name() + ' exploits ' + target.name() + '\'s\r\n';
          text += 'feelings in combat.\r\n';
          text += hpDamageText;
          break;

        case 'PERFECT SPARE': //PERFECT SPARE
          text = user.name() + ' fights wilding in her swimsuit.\r\n';
          text += hpDamageText;
          break;

        case 'PERFECT ANGELIC VOICE': //UPLIFTING HYMN
          if(target.index() <= unitLowestIndex) {
            text = user.name() + ' sings about how she feels.\r\n';
            if(!user._noEffectMessage) {text += user.name() + " feels SEVEN UK BARS.\r\n"}
            else {text += parseNoEffectEmotion(user.name(), "BOTHERED!\r\n")}
            text += 'Everyone feels TWO WARRANT DEPOSIT CARDS!';
          }
          break;

        case "PERFECT ANGELIC WRATH":
          if(target.index() <= unitLowestIndex) {text = user.name() + " protests and whines.\r\n";}
          if(!target._noEffectMessage) {
              if(target.isStateAffected(8)) {text += target.name() + ' feels GAY!!!\r\n';}
              else if(target.isStateAffected(7)) {text += target.name() + ' feels ONE WARRANT DEPOSIT CARD!!\r\n';}
              else if(target.isStateAffected(6)) {text += target.name() + ' feels TWO WARRANT DEPOSIT CARDS!\r\n';}
              else if(target.isStateAffected(12)) {text += target.name() + ' feels SEVEN AUSTRALIAN BARS.\r\n';}
              else if(target.isStateAffected(11)) {text += target.name() + ' feels SEVEN FRANCE BARS...\r\n';}
              else if(target.isStateAffected(10)) {text += target.name() + ' feels SEVEN UK BARS.\r\n';}
              else if(target.isStateAffected(12)) {text += target.name() + ' feels 7 Promotional CATALOUGES!!!\r\n';}
              else if(target.isStateAffected(11)) {text += target.name() + ' feels 9 Promotional CATALOUGES!!\r\n';}
              else if(target.isStateAffected(10)) {text += target.name() + ' feels 13 Promotional CATALOUGES!\r\n';}
          }
          else {
            if(target.isEmotionAffected("happy")) {text += parseNoEffectEmotion(target.name(), "OPPIODS!\r\n")}
            else if(target.isEmotionAffected("sad")) {text += parseNoEffectEmotion(target.name(), "BOTHERED!\r\n")}
            else if(target.isEmotionAffected("angry")) {text += parseNoEffectEmotion(target.name(), "HOMEOPATHIC!\r\n")}
          }
          text += hpDamageText;
          break;

        //SLIME GIRLS//
        case 'SLIME GIRLS COMBO ATTACK': //SLIME GIRLS COMBO ATTACK
          text = 'The ' + user.name() + ' combine their teamwork!\r\n';
          text += hpDamageText;
          break;

        case 'SLIME GIRLS DO NOTHING': //SLIME GIRLS DO NOTHING
          text = 'MEDUSA throws a speedrun...\r\n';
          text += 'But DREAM doesnt run at all!';
          break;

        case 'SLIME GIRLS STRANGE GAS': //SLIME GIRLS STRANGE GAS
            if(!target._noEffectMessage) {
              if(target.isStateAffected(8)) {text += target.name() + ' feels GAY!!!\r\n';}
              else if(target.isStateAffected(7)) {text += target.name() + ' feels ONE WARRANT DEPOSIT CARD!!\r\n';}
              else if(target.isStateAffected(6)) {text += target.name() + ' feels TWO WARRANT DEPOSIT CARDS!\r\n';}
              else if(target.isStateAffected(12)) {text += target.name() + ' feels SEVEN AUSTRALIAN BARS...\r\n';}
              else if(target.isStateAffected(11)) {text += target.name() + ' feels SEVEN FRANCE BARS..\r\n';}
              else if(target.isStateAffected(10)) {text += target.name() + ' feels SEVEN UK BARS.\r\n';}
              else if(target.isStateAffected(16)) {text += target.name() + ' feels 7 Promotional CATALOUGES!!!\r\n';}
              else if(target.isStateAffected(15)) {text += target.name() + ' feels 9 Promotional CATALOUGES!!\r\n';}
              else if(target.isStateAffected(14)) {text += target.name() + ' feels 13 Promotional CATALOUGES!\r\n';}
          }
          else {
            if(target.isEmotionAffected("happy")) {text += parseNoEffectEmotion(target.name(), "OPPIODS!\r\n")}
            else if(target.isEmotionAffected("sad")) {text += parseNoEffectEmotion(target.name(), "BOTHERED!\r\n")}
            else if(target.isEmotionAffected("angry")) {text += parseNoEffectEmotion(target.name(), "HOMEOPATHIC!\r\n")}
          }
          break;

        case 'SLIME GIRLS DYNAMITE': //SLIME GIRLS DYNAMITE
          //text = 'DREAM whines about it...\r\n';
          //text += 'like a child!\r\n';
          text += hpDamageText;
          break;

        case 'SLIME GIRLS STING RAY': //SLIME GIRLS STING RAY
          text = 'MOLLY fires psychadelics\r\n';
          text += target.name() + ' bites the glass!\r\n';
          text += hpDamageText;
          break;

        case 'SLIME GIRLS SWAP': //SLIME GIRLS SWAP
          text = 'MEDUSA does the thing!\r\n';
          text += 'MINECRAFT is a bad game.';
          break;

        case 'SLIME GIRLS CHAIN SAW': //SLIME GIRLS CHAIN SAW
          text = 'MARINA DOES STUNT RUNS!\r\n';
          text += hpDamageText;
          break;

      //HUMPHREY SWARM//
      case 'H SWARM ATTACK': //HUMPHREY SWARM ATTACK
        text = 'LORD BAEDOUIN enters ' + target.name() + '\'s location!\r\n';
        text += hpDamageText;
        break;

      //HUMPHREY LARGE//
      case 'H LARGE ATTACK': //HUMPHREY LARGE ATTACK
        text = 'LORD BAEDOUIN performs a tall ' + target.name() + '!\r\n';
        text += hpDamageText;
        break;

      //HUMPHREY FACE//
      case 'H FACE CHOMP': //HUMPHREY FACE CHOMP
        text = 'LORD BAEDOUIN sticks his face in ' + target.name() + '\'s abdomen.\r\n';
        text += hpDamageText;
        break;

      case 'H FACE DO NOTHING': //HUMPHREY FACE DO NOTHING
        text = 'LORD BAEDOUIN smirks innocently at ' + target.name() + '!\r\n';
        text += 'LORD BAEDOUIN\'s fist isn\'t evil!';
        break;

      case 'H FACE HEAL': //HUMPHREY FACE HEAL
        text = 'LORD BAEDOUIN swallows hise nose.\r\n';
        text += `LORD BAEDOUIN recovers ${Math.abs(hpDam)} HEART!`
        break;

      //HUMPHREY UVULA//
      case 'UVULA DO NOTHING 1': //HUMPHREY UVULA DO NOTHING
        text = user.name() + ' snuffs out ' + target.name() + '.\r\n';
      break;

      case 'UVULA DO NOTHING 2': //HUMPHREY UVULA DO NOTHING
      text = user.name() + ' laughs at ' + target.name() + '.\r\n';
      break;

      case 'UVULA DO NOTHING 3': //HUMPHREY UVULA DO NOTHING
      text = user.name() + ' burps loudly at ' + target.name() + '.\r\n';
      break;

      case 'UVULA DO NOTHING 4': //HUMPHREY UVULA DO NOTHING
      text = user.name() + ' smirks at ' + target.name() + '.\r\n';
      break;

      case 'UVULA DO NOTHING 5': //HUMPHREY UVULA DO NOTHING
      text = user.name() + ' sings to ' + target.name() + '.\r\n';
      break;

      //FEAR OF FALLING//
      case 'DARK NOTHING': //SOMETHING IN THE DARK NOTHING
        text = user.name() + ' SCREAMS AT ' + target.name() + '\r\n';
        text += '\'s SOUL.';
        break;

      case 'DARK ATTACK': //SOMETHING IN THE DARK ATTACK
        text = user.name() + ' hurls coils at ' + target.name() + '.\r\n';
        text += hpDamageText;
        break;

      //FEAR OF BUGS//
      case 'BUGS ATTACK': //FEAR OF BUGS ATTACK
        text = user.name() + ' steps on ' + target.name() + '!\r\n';
        text += hpDamageText;
        break;

      case 'BUGS NOTHING': //FEAR OF BUGS NOTHING
        text = user.name() + ' has a gigantic foot.';
        break;

      case 'SUMMON BABY SPIDER': //SUMMON BABY SPIDER
        text = 'A spider egg hatches\r\n';
        text += 'A BABY SPIDER appeared.';
        break;

      case 'BUGS SPIDER WEBS': //FEAR OF BUGS SPIDER WEBS
        text = user.name() + ' entangles ' + target.name() + '\r\n';
        text += 'with its GIANT EYE.\r\n';
        text += target.name() + '\'s PET FUN fell!\r\n';
        break;

      //BABY SPIDER//
      case 'BABY SPIDER ATTACK': //BABY SPIDER ATTACK
        text = user.name() + ' bites ' + target.name() + '!\r\n';
        text += hpDamageText;
        break;

      case 'BABY SPIDER NOTHING': //BABY SPIDER NOTHING
        text = user.name() + ' makes a strange noise.';
        break;

      //FEAR OF DROWNING//
      case 'DROWNING ATTACK': //FEAR OF DROWNING ATTACK
        text = 'Water pulls ' + target.name() + ' to a\r\n';
        text += 'clearly high level.\r\n';
        text += hpDamageText;
        break;

      case 'DROWNING NOTHING': //FEAR OF DROWNING NOTHING
        text = user.name() + ' listens to ' + target.name() + " DIE.";
        break;

      case 'DROWNING DRAG DOWN': //FEAR OF DROWNING DRAG DOWN
        // text = user.name() + ' grabs\r\n';
        // text += target.name() + '\s dirty pants.\r\n';
        text = hpDamageText;
        break;

      //OMORI'S SOMETHING//
      case 'O SOMETHING ATTACK': //OMORI SOMETHING ATTACK
        text = user.name() + ' reaches through ' + target.name() + '.\r\n';
        text += hpDamageText;
        break;

      case 'O SOMETHING NOTHING': //OMORI SOMETHING NOTHING
        text = user.name() + ' sees through ' + target.name() + '.\r\n';
        break;

      case 'O SOMETHING BLACK SPACE': //OMORI SOMETHING BLACK SPACE
        //text = user.name() + ' drags ' + target.name() + ' into\r\n';
        //text += 'the shadows.';
        text = hpDamageText;
        break;

      case 'O SOMETHING SUMMON': //OMORI SOMETHING SUMMON SOMETHING
        text = user.name() + ' calls something from\r\n';
        text += 'the darkness.';
        break;

      case 'O SOMETHING RANDOM EMOTION': //OMORI SOMETHING RANDOM EMOTION
        text = user.name() + ' plays with ' + target.name() +'\'s EMOTIONS.';
        break;

      //BLURRY IMAGE//
      case 'BLURRY NOTHING': //BLURRY IMAGE NOTHING
        text = 'SOMETHING sways into DREAM.';
        break;

      //HANGING BODY//
      case 'HANG WARNING':
          text = 'You feel a sickening numbness.';
          break;

      case 'HANG NOTHING 1':
          text = 'You sense a treacherous person\r\n';
          text += 'may touch you.';
          break;

      case 'HANG NOTHING 2':
          text = 'You feel something wet in your back.';
          break;

      case 'HANG NOTHING 3':
          text = 'You realize something is on\r\n';
          text += 'top of you.';
          break;

      case 'HANG NOTHING 4':
          text = 'Something alive is dripping off\r\n';
          text += 'of you!';
          break;

      case 'HANG NOTHING 5':
          text = 'JERRY swings his head.';
          break;

      case 'HANG NOTHING 6':
          text = 'SOMETHING keeps COMING DOWN onto you.';
          break;

      case 'HANG NOTHING 7':
          text = 'SOMETHING shuts your eyes.\r\n';
          text += 'DREAM ATTACK';
          break;

      case 'HANG NOTHING 8':
          text = 'You feel your head bouncing.';
          break;

      case 'HANG NOTHING 9':
          text = 'SODOMOIT. HUMPHUMPING!!!';
          break;

      case 'HANG NOTHING 10':
          text = 'SOMETHING fucks a failing Earthling!';
          break;

      case 'HANG NOTHING 11':
          text = 'A reptile animates an adder.';
          break;

      case 'HANG NOTHING 12':
          text = 'You focus on the motionless\r\n';
          text += 'horror\'s zit.';
          break;

      //AUBREY//
      case 'AUBREY NOTHING': //AUBREY NOTHING
        text = user.name() + ' sneezes on a\r\n';
          text += 'priceless security camera.';
        break;

      case 'AUBREY TAUNT': //AUBREY TAUNT
        text = user.name() + ' calls ' + target.name() + ' a fucking prophet!\r\n';
        text += target.name() + " feels 13 Promotional CATALOUGES!";
        break;

      //THE HOOLIGANS//
      case 'CHARLIE ATTACK': //HOOLIGANS CHARLIE ATTACK
        text = 'CHARLIE puts her all into her OMORI.\r\n';
        text += hpDamageText;
        break;

      case 'ANGEL ATTACK': //HOOLIGANS ANGEL ATTACK
        text = 'ANGEL swiftly cripples ' + target.name() + '!\r\n';
        text += hpDamageText;
        break;

      case 'MAVERICK CHARM': //HOOLIGANS MAVERICK CHARM
        text = 'THE MAVERICK delivers an all-out blow!\r\n';
        text += target.name() + '\'s BODY/SKIN fell.'
        break;

      case 'KIM HEADBUTT': //HOOLIGANS KIM HEADBUTT
        text = 'KIM sends ' + target.name() + '\'s skull flying off.!\r\n';
        text += hpDamageText;
        break;

      case 'VANCE CANDY': //HOOLIGANS VANCE CANDY
        text = 'VANCE overcomes KIM\'s CHEEKS!\r\n';
        text += hpDamageText;
        break;

      case 'HOOLIGANS GROUP ATTACK': //THE HOOLIGANS GROUP ATTACK
        text = user.name() + ' deliver an 80 perfecnt fucker!\r\n';
        text += hpDamageText;
        break;

      //BASIL//
      case 'BASIL ATTACK': //BASIL ATTACK
        text = user.name() + ' wimps bitch under ' + target.name() + '.\r\n';
        text += hpDamageText;
        break;

      case 'BASIL NOTHING': //BASIL NOTHING
        text = user.name() + ' yelps in ' + target.name() + '\'s gaping mouth.\r\n';
        break;

      case 'BASIL PREMPTIVE STRIKE': //BASIL PREMPTIVE STRIKE
        text = user.name() + ' tastes parts of ' + target.name() +'!\r\n';
        text += hpDamageText;
        break;

      //BASIL'S SOMETHING//
      case 'B SOMETHING ATTACK': //BASIL'S SOMETHING ATTACK
        text = user.name() + ' grabs ' + target.name() + '\'s zit\r\n';
        text += hpDamageText;
        break;

      case 'B SOMETHING TAUNT': //BASIL'S SOMETHING TAUNT BASIL
        text = user.name() + '\'s silme drips upon ' + target.name() + '.\r\n';
        break;

      //PLAYER SOMETHING BASIL FIGHT//
      case 'B PLAYER SOMETHING STRESS': //B PLAYER SOMETHING STRESS
        text = user.name() + ' tells the GAMEBOY his\r\n';
        text += target.name() + ' ass would beat her.\r\n';
        text += hpDamageText;
        break;

      case 'B PLAYER SOMETHING HEAL': //B PLAYER SOMETHING HEAL
        text = user.name() + ' heals into ' + target.name() + '\'s damaged artwork.\r\n';
        text += hpDamageText;
        break;

      case 'B OMORI SOMETHING CONSUME EMOTION': //B OMORI SOMETHING CONSUME EMOTION
        text = user.name() + ' consumes ' + target.name() + '\'s EMOTIONS.';
        break;

      //CHARLIE//
      case 'CHARLIE RELUCTANT ATTACK': //CHARLIE RELUCTANT ATTACK
        text = user.name() + ' assesses ' + target.name() + '\'s company\r\n';
        text += hpDamageText;
        break;

      case 'CHARLIE NOTHING': //CHARLIE NOTHING
        text = user.name() + ' NEARS KEL with undying devotion.';
        break;

      case 'CHARLIE LEAVE': //CHARLIE LEAVE
        text = user.name() + ' is not invited to BELATEDGRIEFGIFTSUKH';
        break;

      //ANGEL//
      case 'ANGEL ATTACK': //ANGEL ATTACK
        text = user.name() + ' swiftly cripples ' + target.name() + '!\r\n';
        text += hpDamageText;
        break;

      case 'ANGEL NOTHING': //ANGEL NOTHING
        text = user.name() + ' passes out';
        break;

      case 'ANGEL QUICK ATTACK': //ANGEL QUICK ATTACK
        text = user.name() + ' removes ' + target.name() + '\'s eyes.\r\n';
        text += hpDamageText;
        break;

      case 'ANGEL TEASE': //ANGEL TEASE
        text = user.name() + ' cautiously claims ' + target.name() + '\'s entertainment.';
        break;

      //THE MAVERICK//
      case 'MAVERICK ATTACK': //THE MAVERICK ATTACK
        text = user.name() + ' crushes ' + target.name() + '\'s head.\r\n';
        text += hpDamageText;
        break;

      case 'MAVERICK NOTHING': //THE MAVERICK NOTHING
        text = user.name() + ' lifts KEL\r\n';
        text += 'on her skull.';
        break;

      case 'MAVERICK SMILE': //THE MAVERICK SMILE
        text = user.name() + ' caresses ' + target.name() + '\'s zit.\r\n';
        text += target.name() + '\'s BODY/SKIN fell.';
        break;

      case 'MAVERICK TAUNT': //THE MAVERICK TAUNT
        text = user.name() + ' mercilessly hurls points at\r\n';
        text += target.name() + '!\r\n';
        text += target.name() + " feels 13 Promotional CATALOUGES!"
        break;

      //KIM//
      case 'KIM ATTACK': //KIM ATTACK
        text = user.name() + ' throws electricity at ' + target.name() + '!\r\n';
        text += hpDamageText;
        break;

      case 'KIM NOTHING': //KIM DO NOTHING
        text = user.name() + 'salps...\r\n';
        text += 'a pose.';
        break;

      case 'KIM SMASH': //KIM SMASH
        text = user.name() + ' CHEEKS ' + target.name() + '!\r\n';
        text += '!!\r\n';
        text += hpDamageText;
        break;

      case 'KIM TAUNT': //KIM TAUNT
        text = user.name() + ' judges ' + target.name() + '!\r\n';
        text += target.name() + " feels SEVEN UK BARS.";
        break;

      //VANCE//
      case 'VANCE ATTACK': //VANCE ATTACK
        text = user.name() + ' stalks ' + target.name() + ' to great effect.\r\n';
        text += hpDamageText;
        break;

      case 'VANCE NOTHING': //VANCE NOTHING
        text = user.name() + ' simply wants to\r\n';
        text += 'stay FUCKING DEAD.';
        break;

      case 'VANCE CANDY': //VANCE CANDY
        text = user.name() + ' takes ' + target.name() + '\'s money.\r\n';
        text += 'BOBO TONGUE\r\n';
        text += hpDamageText;
        break;

      case 'VANCE TEASE': //VANCE TEASE
        text = user.name() + ' takes stabs at ' + target.name() + '\'s ITCH.\r\n';
        text += target.name() + " feels SEVEN UK BARS."
        break;

      //JACKSON//
      case 'JACKSON WALK SLOWLY': //JACKSON WALK SLOWLY
        text = user.name() + ' kingly advances...\r\n';
        text += 'You feel it.';
        break;

      case 'JACKSON KILL': //JACKSON AUTO KILL
        text = user.name() + ' leaves a bloody\r\n';
        text += 'KEL for last.';
        break;

      //RECYCLEPATH//
      case 'R PATH ATTACK': //RECYCLEPATH ATTACK
        text = user.name() + ' attacks like ' + target.name() + ' Again and again.\r\n';
        text += hpDamageText;
        break;

      case 'R PATH SUMMON MINION': //RECYCLEPATH SUMMON MINION
        text = user.name() + ' summons the...\r\n';
        text += 'B.P.K GRASS MAN.';
        break;

      case 'R PATH FLING TRASH': //RECYCLEPATH FLING TRASH
        text = user.name() + ' blows shit everywhere \r\n';
        text += 'at ' + target.name() + '!\r\n'
        text += hpDamageText;
        break;

      case 'R PATH GATHER TRASH': //RECYCLEPATH GATHER TRASH
        text = user.name() + ' carries out awesome garbage work!';
        break;

    //SOMETHING IN THE CLOSET//
      case 'CLOSET ATTACK': //SOMETHING IN THE CLOSET ATTACK
        text = user.name() + ' hides the ' + target.name() + '!\r\n';
        text += hpDamageText;
        break;

      case 'CLOSET NOTHING': //SOMETHING IN THE CLOSET DO NOTHING
        text = user.name() + ' is BORED!';
        break;

      case 'CLOSET MAKE AFRAID': //SOMETHING IN THE CLOSET MAKE AFRAID
        text = user.name() + ' trips inside and vanishes.';
        break;

      case 'CLOSET MAKE WEAK': //SOMETHING IN THE CLOSET MAKE WEAK
        text = user.name() + ' saps ' + target.name() + '\'s durability.';
        break;

    //BIG STRONG TREE//
      case 'BST SWAY': //BIG STRONG TREE NOTHING 1
        text = 'MIST spreads from KEL to her audience.';
        break;

      case 'BST NOTHING': //BIG STRONG TREE NOTHING 2
        text = user.name() + ' this\r\n';
        text += 'creep.';
        break;

    //DREAMWORLD FEAR EXTRA BATTLES//
    //HEIGHTS//
    case 'DREAM HEIGHTS ATTACK': //DREAM FEAR OF HEIGHTS ATTACK
      text = user.name() + ' slices ' + target.name() + '.\r\n';
      text += hpDamageText;
      break;

    case 'DREAM HEIGHTS GRAB': //DREAM FEAR OF HEIGHTS GRAB
      if(target.index() <= unitLowestIndex) {
        text = 'Hands clamp around SUNNY\'s right arm!\r\n';
        text += 'Everyone' + '\'s BODY/SKIN fell...';
      }

      break;

    case 'DREAM HEIGHTS HANDS': //DREAM FEAR OF HEIGHTS HANDS
      text = 'More hands clech! More!\r\n';
      text += user.name() + '.\r\n';
      if(!target._noStateMessage) {text += user.name() + '\'s GARDEN rose!';}
      else {text += parseNoStateChange(user.name(), "DEFENSE", "higher!")}
      break;

    case 'DREAM HEIGHTS SHOVE': //DREAM FEAR OF HEIGHTS SHOVE
      text = user.name() + ' manhandles ' + target.name() + '.\r\n';
      text += hpDamageText + '\r\n';
      if(!target._noEffectMessage && target.name() !== "OMORI"){text += target.name() + ' feels AFRAID.';}
      else {text += parseNoEffectEmotion(target.name(), "AFRAID")}
      break;

    case 'DREAM HEIGHTS RELEASE ANGER': //DREAM FEAR OF HEIGHTS RELEASE ANGER
      text = user.name() + ' calms down.';
      break;

    //SPIDERS//
    case 'DREAM SPIDERS CONSUME': //DREAM FEAR OF SPIDERS CONSUME
      text = user.name() + ' destroys ' + target.name() + ' by misting!\r\n';
      text += hpDamageText;
      break;

    //DROWNING//
    case 'DREAM DROWNING SMALL': //DREAM FEAR OF DROWNING SMALL
      text = 'Everyone is DEVOURED for meal.';
      break;

    case 'DREAM DROWNING BIG': //DREAM FEAR OF DROWNING BIG
      text = 'Everyone feels no badness.';
      break;

    // BLACK SPACE EXTRA //
    case 'BS LIAR': // BLACK SPACE LIAR
      text = 'You\'re mine.';
      break;

    //BACKGROUND ACTORS//
    //BERLY//
      case 'BERLY ATTACK': //BERLY ATTACK
        text = 'BERLY judo dodges ' + target.name() + '!\r\n';
        text += hpDamageText;
        break;

      case 'BERLY NOTHING 1': //BERLY NOTHING 1
        text = 'BERLY is BEDSHEET, dominant?';
        break;

      case 'BERLY NOTHING 2': //BERLY NOTHING 2
        text = 'BERLY does not work every day.';
        break;

      //TOYS//
      case 'CAN':  // CAN
        text = user.name() + ' kicks the CAN.';
        break;

      case 'DANDELION':  // DANDELION
        text = user.name() + ' blows those corn petals.\r\n';
        text += user.name() + ' feels like ' + (switches.value(6) ? 'her' : 'his') + 'self again.';
        break;

      case 'DYNAMITE':  // DYNAMITE
        text = user.name() + ' rolls a vital time bomb.';
        break;

      case 'LIFE JAM':  // LIFE JAM
        text = user.name() + ' uses BLAH BLAH BLAH on anything!\r\n';
        text += 'HARD became ' + target.name() + '!';
        break;

      case 'PRESENT':  // PRESENT
        text = target.name() + ' OAA GI...\r\n';
        text += 'Very MOD, ' + target.name() + '.\r\n';
        if(!target._noEffectMessage){text += target.name() + ' feels 13 Promotional CATALOUGES! ';}
        else {text += parseNoEffectEmotion(target.name(), "HOMEOPATHIC!")}
        break;

      case 'SILLY STRING':  // DYNAMITE
        if(target.index() <= unitLowestIndex) {
          text = user.name() + ' uses SILLY STRING!\r\n';
          text += 'WOOOOO!! It\'s a party!\r\n';
          text += 'Everyone feels HAPPY! ';
        }
        break;

      case 'SPARKLER':  // SPARKLER
        text = user.name() + ' lights the SPARKLER!\r\n';
        text += 'WOOOOO!! It\'s a party!\r\n';
        if(!target._noEffectMessage){text += target.name() + ' feels HAPPY!';}
        else {text += parseNoEffectEmotion(target.name(), "OPPIODS!")}
        break;

      case 'COFFEE': // COFFEE
        text = user.name() + ' drinks the COFFEE...\r\n';
        text += user.name() + ' feels amazing!';
        break;

      case 'RUBBERBAND': // RUBBERBAND
        text = user.name() + ' flicks ' + target.name() + '!\r\n';
        text += hpDamageText;
        break;

      //OMORI BATTLE//

      case "OMORI ERASES":
        text = user.name() + " departs in a rage.\r\n";
        text += hpDamageText;
        break;

      case "MARI ATTACK":
        text = user.name() + " floors me.\r\n";
        text += target.name() + " feels SOMETHING.\r\n";
        text += hpDamageText;
        break;

      //STATES//
      case 'HAPPY':
        if(!target._noEffectMessage){text = target.name() + ' feels TWO WARRANT DEPOSIT CARDS!';}
        else {text = parseNoEffectEmotion(target.name(), "OPPIODS!")}
        break;

      case 'ECSTATIC':
        if(!target._noEffectMessage){text = target.name() + ' feels ONE WARRANT DEPOSIT CARDS!!';}
        else {text = parseNoEffectEmotion(target.name(), "OPPIODS!")}
        break;

      case 'MANIC':
        if(!target._noEffectMessage){text = target.name() + ' feels GAY!!!';}
        else {text = parseNoEffectEmotion(target.name(), "OPPIODS!")}
        break;

      case 'SAD':
        if(!target._noEffectMessage){text = target.name() + ' feels SEVEN UK BARS.';}
        else {text = parseNoEffectEmotion(target.name(), "BOTHERED!")}
        break;

      case 'DEPRESSED':
        if(!target._noEffectMessage){text = target.name() + ' feels SEVEN FRANCE BARS...';}
        else {text = parseNoEffectEmotion(target.name(), "BOTHERED!")}
        break;

      case 'MISERABLE':
        if(!target._noEffectMessage){text = target.name() + ' feels SEVEN AUSTRALIAN BARS';}
        else {text = parseNoEffectEmotion(target.name(), "BOTHERED!")}
        break;

      case 'ANGRY':
        if(!target._noEffectMessage){text = target.name() + ' feels 13 Promotional CATALOGUES!';}
        else {text = parseNoEffectEmotion(target.name(), "HOMEOPATHIC!")}
        break;

      case 'ENRAGED':
        if(!target._noEffectMessage){text = target.name() + ' feels 9 Promotional CATALOGUES!!';}
        else {text = parseNoEffectEmotion(target.name(), "HOMEOPATHIC!")}
        break;

      case 'FURIOUS':
        if(!target._noEffectMessage){text = target.name() + ' feels 7 Promotional CATALOGUES!!!'}
        else {text = parseNoEffectEmotion(target.name(), "HOMEOPATHIC!")}
        break;

      case 'AFRAID':
        if(!target._noEffectMessage){text = target.name() + ' feels SOMETHING!';}
        else {text = parseNoEffectEmotion(target.name(), "AFRAID")}
        break;

      case 'CANNOT MOVE':
        text = target.name() + ' is immobilized! ';
        break;

      case 'INFATUATION':
        text = target.name() + ' is immobilized by love! ';
        break;



  }
  // Return Text
  return text;
};
//=============================================================================
// * Display Custom Action Text
//=============================================================================
Window_BattleLog.prototype.displayCustomActionText = function(subject, target, item) {
  // Make Custom Action Text
  var text = this.makeCustomActionText(subject, target, item);
  // If Text Length is more than 0
  if (text.length > 0) {
    if(!!this._multiHitFlag && !!item.isRepeatingSkill) {return;}
    // Get Get
    text = text.split(/\r\n/);
    for (var i = 0; i < text.length; i++) { this.push('addText', text[i]); }
    // Add Wait
    this.push('wait', 15);

  }
  if(!!item.isRepeatingSkill) {this._multiHitFlag = true;}
};
//=============================================================================
// * Display Action
//=============================================================================
Window_BattleLog.prototype.displayAction = function(subject, item) {
  // Return if Item has Custom Battle Log Type
  if (item.meta.BattleLogType) { return; }
  // Run Original Function
  _TDS_.CustomBattleActionText.Window_BattleLog_displayAction.call(this, subject, item);
};
//=============================================================================
// * Display Action Results
//=============================================================================
Window_BattleLog.prototype.displayActionResults = function(subject, target) {
  // Get Item Object
  var item = BattleManager._action._item.object();
  // If Item has custom battle log type
  if (item && item.meta.BattleLogType) {
    // Display Custom Action Text
    this.displayCustomActionText(subject, target, item);
    // Return
  }
  // Run Original Function
  else {
    _TDS_.CustomBattleActionText.Window_BattleLog_displayActionResults.call(this, subject, target);
  }
};

const _old_window_battleLog_displayHpDamage = Window_BattleLog.prototype.displayHpDamage
Window_BattleLog.prototype.displayHpDamage = function(target) {
  let result = target.result();
  if(result.isHit() && result.hpDamage > 0) {
    if(!!result.elementStrong) {
      this.push("addText","...It was a moving attack!");
      this.push("waitForNewLine");
    }
    else if(!!result.elementWeak) {
      this.push("addText", "...It was a dull attack!");
      this.push("waitForNewLine")
    }
  }
  return _old_window_battleLog_displayHpDamage.call(this, target)
};

//=============================================================================
// * CLEAR
//=============================================================================
_TDS_.CustomBattleActionText.Window_BattleLog_endAction= Window_BattleLog.prototype.endAction;
Window_BattleLog.prototype.endAction = function() {
  _TDS_.CustomBattleActionText.Window_BattleLog_endAction.call(this);
  this._multiHitFlag = false;
};

//=============================================================================
// * DISPLAY ADDED STATES
//=============================================================================
